import { type ExtractPropTypes, type PropType } from 'vue';
export declare const useNativeImgAttributesProps: {
    src: {
        type: StringConstructor;
        required: boolean;
    };
    alt: {
        type: StringConstructor;
        default: string;
    };
    title: {
        type: StringConstructor;
        default: string;
    };
    sizes: {
        type: StringConstructor;
        default: string;
    };
    srcset: {
        type: StringConstructor;
        default: string;
    };
    draggable: {
        type: BooleanConstructor;
        default: boolean;
    };
    loading: {
        type: PropType<"lazy" | "eager">;
    };
    crossorigin: {
        type: PropType<"anonymous" | "use-credentials">;
    };
    decoding: {
        type: PropType<"auto" | "sync" | "async">;
    };
    fetchpriority: {
        type: PropType<"auto" | "high" | "low">;
        default: string;
    };
    referrerpolicy: {
        type: PropType<"origin" | "no-referrer" | "no-referrer-when-downgrade" | "origin-when-cross-origin" | "same-origin" | "strict-origin" | "strict-origin-when-cross-origin" | "unsafe-url">;
    };
};
export declare const useNativeImgAttributes: (props: ExtractPropTypes<typeof useNativeImgAttributesProps>) => import("vue").ComputedRef<Pick<ExtractPropTypes<{
    src: {
        type: StringConstructor;
        required: boolean;
    };
    alt: {
        type: StringConstructor;
        default: string;
    };
    title: {
        type: StringConstructor;
        default: string;
    };
    sizes: {
        type: StringConstructor;
        default: string;
    };
    srcset: {
        type: StringConstructor;
        default: string;
    };
    draggable: {
        type: BooleanConstructor;
        default: boolean;
    };
    loading: {
        type: PropType<"lazy" | "eager">;
    };
    crossorigin: {
        type: PropType<"anonymous" | "use-credentials">;
    };
    decoding: {
        type: PropType<"auto" | "sync" | "async">;
    };
    fetchpriority: {
        type: PropType<"auto" | "high" | "low">;
        default: string;
    };
    referrerpolicy: {
        type: PropType<"origin" | "no-referrer" | "no-referrer-when-downgrade" | "origin-when-cross-origin" | "same-origin" | "strict-origin" | "strict-origin-when-cross-origin" | "unsafe-url">;
    };
}>, "title" | "draggable" | "loading" | "sizes" | "alt" | "crossorigin" | "src" | "srcset" | "decoding" | "fetchpriority" | "referrerpolicy">>;
