declare const createVaModalPlugin: (app: App<any>) => {
    init(options: string | Partial<Omit<Partial<{
        title: string;
        blur: boolean;
        size: import("../../../utils/types/prop-type").StringWithAutocomplete<"small" | "medium" | "large" | "auto">;
        message: string;
        modelValue: boolean;
        stateful: boolean;
        sizesConfig: Record<string, any>;
        zIndex: string | number;
        noPadding: boolean;
        backgroundColor: string;
        closeButton: boolean;
        "child:cancelButton": NonNullable<Partial<{
            size: "small" | "medium" | "large";
            replace: boolean;
            preset: string;
            append: boolean;
            type: string;
            disabled: boolean;
            tag: string;
            href: string;
            color: string;
            loading: boolean;
            to: string | Record<string, any>;
            exact: boolean;
            activeClass: string;
            exactActiveClass: string;
            target: string;
            sizesConfig: Record<string, any>;
            textColor: string;
            round: boolean;
            fontSizesConfig: Record<string, any>;
            icon: string;
            block: boolean;
            textOpacity: number;
            backgroundOpacity: number;
            borderColor: string;
            gradient: boolean;
            plain: boolean;
            iconRight: string;
            iconColor: string;
            pressedBehavior: "mask" | "opacity";
            pressedOpacity: number;
            pressedMaskColor: string;
            hoverBehavior: "mask" | "opacity";
            hoverOpacity: string | number;
            hoverMaskColor: string;
        }> & Omit<{
            readonly size: "small" | "medium" | "large";
            readonly type: string;
            readonly disabled: boolean;
            readonly tag: string;
            readonly color: string;
            readonly loading: boolean;
            readonly sizesConfig: Record<string, any>;
            readonly textColor: string;
            readonly round: boolean;
            readonly fontSizesConfig: Record<string, any>;
            readonly icon: string;
            readonly block: boolean;
            readonly textOpacity: number;
            readonly backgroundOpacity: number;
            readonly borderColor: string;
            readonly gradient: boolean;
            readonly plain: boolean;
            readonly iconRight: string;
            readonly iconColor: string;
            readonly pressedBehavior: "mask" | "opacity";
            readonly pressedOpacity: number;
            readonly pressedMaskColor: string;
            readonly hoverBehavior: "mask" | "opacity";
            readonly hoverOpacity: string | number;
            readonly hoverMaskColor: string;
            readonly replace?: boolean | undefined;
            readonly preset?: string | undefined;
            readonly append?: boolean | undefined;
            readonly href?: string | undefined;
            readonly to?: string | Record<string, any> | undefined;
            readonly exact?: boolean | undefined;
            readonly activeClass?: string | undefined;
            readonly exactActiveClass?: string | undefined;
            readonly target?: string | undefined;
        } & VNodeProps & AllowedComponentProps & ComponentCustomProps & Readonly<ExtractPropTypes<{
            tag: {
                type: StringConstructor;
                default: string;
            };
            type: {
                type: StringConstructor;
                default: string;
            };
            block: {
                type: BooleanConstructor;
                default: boolean;
            };
            disabled: {
                type: BooleanConstructor;
                default: boolean;
            };
            color: {
                type: StringConstructor;
                default: string;
            };
            textColor: {
                type: StringConstructor;
                default: string;
            };
            textOpacity: {
                type: NumberConstructor;
                default: number;
            };
            backgroundOpacity: {
                type: NumberConstructor;
                default: number;
            };
            borderColor: {
                type: StringConstructor;
                default: string;
            };
            gradient: {
                type: BooleanConstructor;
                default: boolean;
            };
            plain: {
                type: BooleanConstructor;
                default: boolean;
            };
            round: {
                type: BooleanConstructor;
                default: boolean;
            };
            size: {
                type: PropType<"small" | "medium" | "large">;
                default: string;
                validator: (v: string) => boolean;
            };
            icon: {
                type: StringConstructor;
                default: string;
            };
            iconRight: {
                type: StringConstructor;
                default: string;
            };
            iconColor: {
                type: StringConstructor;
                default: string;
            };
            to: {
                type: PropType<string | Record<string, any>>;
                default: undefined;
            };
            replace: {
                type: BooleanConstructor;
                default: undefined;
            };
            append: {
                type: BooleanConstructor;
                default: undefined;
            };
            exact: {
                type: BooleanConstructor;
                default: undefined;
            };
            activeClass: {
                type: StringConstructor;
                default: undefined;
            };
            exactActiveClass: {
                type: StringConstructor;
                default: undefined;
            };
            href: {
                type: StringConstructor;
                default: undefined;
            };
            target: {
                type: StringConstructor;
                default: undefined;
            };
            loading: {
                type: BooleanConstructor;
                default: boolean;
            };
            pressedBehavior: {
                type: PropType<"mask" | "opacity">;
                default: string;
                validator: (value: string) => boolean;
            };
            pressedOpacity: {
                type: NumberConstructor;
                default: number;
            };
            pressedMaskColor: {
                type: StringConstructor;
                default: string;
            };
            hoverBehavior: {
                type: PropType<"mask" | "opacity">;
                default: string;
                validator: (value: string) => boolean;
            };
            hoverOpacity: {
                type: (StringConstructor | NumberConstructor)[];
                default: number;
            };
            hoverMaskColor: {
                type: StringConstructor;
                default: string;
            };
            sizesConfig: {
                type: PropType<Record<string, any>>;
                default: () => import("../../../services/global-config").SizeConfig;
            };
            fontSizesConfig: {
                type: PropType<Record<string, any>>;
                default: () => import("../../../services/global-config").SizeConfig;
            };
            preset: {
                type: StringConstructor;
                default: undefined;
            };
        }>>, "size" | "replace" | "preset" | "append" | "type" | "disabled" | "tag" | "href" | "color" | "loading" | "to" | "exact" | "activeClass" | "exactActiveClass" | "target" | "sizesConfig" | "textColor" | "round" | "fontSizesConfig" | "icon" | "block" | "textOpacity" | "backgroundOpacity" | "borderColor" | "gradient" | "plain" | "iconRight" | "iconColor" | "pressedBehavior" | "pressedOpacity" | "pressedMaskColor" | "hoverBehavior" | "hoverOpacity" | "hoverMaskColor">>;
        "child:okButton": NonNullable<Partial<{
            size: "small" | "medium" | "large";
            replace: boolean;
            preset: string;
            append: boolean;
            type: string;
            disabled: boolean;
            tag: string;
            href: string;
            color: string;
            loading: boolean;
            to: string | Record<string, any>;
            exact: boolean;
            activeClass: string;
            exactActiveClass: string;
            target: string;
            sizesConfig: Record<string, any>;
            textColor: string;
            round: boolean;
            fontSizesConfig: Record<string, any>;
            icon: string;
            block: boolean;
            textOpacity: number;
            backgroundOpacity: number;
            borderColor: string;
            gradient: boolean;
            plain: boolean;
            iconRight: string;
            iconColor: string;
            pressedBehavior: "mask" | "opacity";
            pressedOpacity: number;
            pressedMaskColor: string;
            hoverBehavior: "mask" | "opacity";
            hoverOpacity: string | number;
            hoverMaskColor: string;
        }> & Omit<{
            readonly size: "small" | "medium" | "large";
            readonly type: string;
            readonly disabled: boolean;
            readonly tag: string;
            readonly color: string;
            readonly loading: boolean;
            readonly sizesConfig: Record<string, any>;
            readonly textColor: string;
            readonly round: boolean;
            readonly fontSizesConfig: Record<string, any>;
            readonly icon: string;
            readonly block: boolean;
            readonly textOpacity: number;
            readonly backgroundOpacity: number;
            readonly borderColor: string;
            readonly gradient: boolean;
            readonly plain: boolean;
            readonly iconRight: string;
            readonly iconColor: string;
            readonly pressedBehavior: "mask" | "opacity";
            readonly pressedOpacity: number;
            readonly pressedMaskColor: string;
            readonly hoverBehavior: "mask" | "opacity";
            readonly hoverOpacity: string | number;
            readonly hoverMaskColor: string;
            readonly replace?: boolean | undefined;
            readonly preset?: string | undefined;
            readonly append?: boolean | undefined;
            readonly href?: string | undefined;
            readonly to?: string | Record<string, any> | undefined;
            readonly exact?: boolean | undefined;
            readonly activeClass?: string | undefined;
            readonly exactActiveClass?: string | undefined;
            readonly target?: string | undefined;
        } & VNodeProps & AllowedComponentProps & ComponentCustomProps & Readonly<ExtractPropTypes<{
            tag: {
                type: StringConstructor;
                default: string;
            };
            type: {
                type: StringConstructor;
                default: string;
            };
            block: {
                type: BooleanConstructor;
                default: boolean;
            };
            disabled: {
                type: BooleanConstructor;
                default: boolean;
            };
            color: {
                type: StringConstructor;
                default: string;
            };
            textColor: {
                type: StringConstructor;
                default: string;
            };
            textOpacity: {
                type: NumberConstructor;
                default: number;
            };
            backgroundOpacity: {
                type: NumberConstructor;
                default: number;
            };
            borderColor: {
                type: StringConstructor;
                default: string;
            };
            gradient: {
                type: BooleanConstructor;
                default: boolean;
            };
            plain: {
                type: BooleanConstructor;
                default: boolean;
            };
            round: {
                type: BooleanConstructor;
                default: boolean;
            };
            size: {
                type: PropType<"small" | "medium" | "large">;
                default: string;
                validator: (v: string) => boolean;
            };
            icon: {
                type: StringConstructor;
                default: string;
            };
            iconRight: {
                type: StringConstructor;
                default: string;
            };
            iconColor: {
                type: StringConstructor;
                default: string;
            };
            to: {
                type: PropType<string | Record<string, any>>;
                default: undefined;
            };
            replace: {
                type: BooleanConstructor;
                default: undefined;
            };
            append: {
                type: BooleanConstructor;
                default: undefined;
            };
            exact: {
                type: BooleanConstructor;
                default: undefined;
            };
            activeClass: {
                type: StringConstructor;
                default: undefined;
            };
            exactActiveClass: {
                type: StringConstructor;
                default: undefined;
            };
            href: {
                type: StringConstructor;
                default: undefined;
            };
            target: {
                type: StringConstructor;
                default: undefined;
            };
            loading: {
                type: BooleanConstructor;
                default: boolean;
            };
            pressedBehavior: {
                type: PropType<"mask" | "opacity">;
                default: string;
                validator: (value: string) => boolean;
            };
            pressedOpacity: {
                type: NumberConstructor;
                default: number;
            };
            pressedMaskColor: {
                type: StringConstructor;
                default: string;
            };
            hoverBehavior: {
                type: PropType<"mask" | "opacity">;
                default: string;
                validator: (value: string) => boolean;
            };
            hoverOpacity: {
                type: (StringConstructor | NumberConstructor)[];
                default: number;
            };
            hoverMaskColor: {
                type: StringConstructor;
                default: string;
            };
            sizesConfig: {
                type: PropType<Record<string, any>>;
                default: () => import("../../../services/global-config").SizeConfig;
            };
            fontSizesConfig: {
                type: PropType<Record<string, any>>;
                default: () => import("../../../services/global-config").SizeConfig;
            };
            preset: {
                type: StringConstructor;
                default: undefined;
            };
        }>>, "size" | "replace" | "preset" | "append" | "type" | "disabled" | "tag" | "href" | "color" | "loading" | "to" | "exact" | "activeClass" | "exactActiveClass" | "target" | "sizesConfig" | "textColor" | "round" | "fontSizesConfig" | "icon" | "block" | "textOpacity" | "backgroundOpacity" | "borderColor" | "gradient" | "plain" | "iconRight" | "iconColor" | "pressedBehavior" | "pressedOpacity" | "pressedMaskColor" | "hoverBehavior" | "hoverOpacity" | "hoverMaskColor">>;
        "child:closeButton": NonNullable<Partial<{
            size: string | number;
            preset: string;
            name: string;
            sizesConfig: Record<string, any>;
            flip: "horizontal" | "vertical" | "off" | "both";
            fontSizesConfig: Record<string, any>;
        }> & Omit<{
            readonly size: string | number;
            readonly name: string;
            readonly sizesConfig: Record<string, any>;
            readonly flip: "horizontal" | "vertical" | "off" | "both";
            readonly fontSizesConfig: Record<string, any>;
            readonly preset?: string | undefined;
            readonly tag?: string | undefined;
            readonly color?: string | undefined;
            readonly component?: any;
            readonly rotation?: string | number | undefined;
            readonly spin?: string | boolean | undefined;
        } & VNodeProps & AllowedComponentProps & ComponentCustomProps & Readonly<ExtractPropTypes<{
            name: {
                type: StringConstructor;
                default: string;
            };
            tag: {
                type: StringConstructor;
            };
            component: {
                type: PropType<any>;
            };
            color: {
                type: StringConstructor;
            };
            rotation: {
                type: (StringConstructor | NumberConstructor)[];
            };
            spin: {
                type: (BooleanConstructor | StringConstructor)[];
            };
            flip: {
                type: PropType<"horizontal" | "vertical" | "off" | "both">;
                default: string;
                validator: (value: string) => boolean;
            };
            preset: {
                type: StringConstructor;
                default: undefined;
            };
            size: {
                type: (StringConstructor | NumberConstructor)[];
                default: string;
                validator: (size: string | number) => boolean;
            };
            sizesConfig: {
                type: PropType<Record<string, any>>;
                default: () => import("../../../services/global-config").SizeConfig;
            };
            fontSizesConfig: {
                type: PropType<Record<string, any>>;
                default: () => import("../../../services/global-config").SizeConfig;
            };
        }>>, "size" | "preset" | "name" | "sizesConfig" | "flip" | "fontSizesConfig">>;
        attachElement: string;
        allowBodyScroll: boolean;
        disableAttachment: boolean;
        okText: string;
        cancelText: string;
        hideDefaultActions: boolean;
        fullscreen: boolean;
        mobileFullscreen: boolean;
        noDismiss: boolean;
        noOutsideDismiss: boolean;
        noEscDismiss: boolean;
        maxWidth: string;
        maxHeight: string;
        fixedLayout: boolean;
        withoutTransitions: boolean;
        overlay: boolean;
        overlayOpacity: string | number;
        showNestedOverlay: boolean;
        ariaCloseLabel: string;
    }> & Omit<{
        readonly title: string;
        readonly blur: boolean;
        readonly size: import("../../../utils/types/prop-type").StringWithAutocomplete<"small" | "medium" | "large" | "auto">;
        readonly message: string;
        readonly modelValue: boolean;
        readonly stateful: boolean;
        readonly sizesConfig: Record<string, any>;
        readonly noPadding: boolean;
        readonly backgroundColor: string;
        readonly closeButton: boolean;
        readonly attachElement: string;
        readonly allowBodyScroll: boolean;
        readonly disableAttachment: boolean;
        readonly okText: string;
        readonly cancelText: string;
        readonly hideDefaultActions: boolean;
        readonly fullscreen: boolean;
        readonly mobileFullscreen: boolean;
        readonly noDismiss: boolean;
        readonly noOutsideDismiss: boolean;
        readonly noEscDismiss: boolean;
        readonly maxWidth: string;
        readonly maxHeight: string;
        readonly fixedLayout: boolean;
        readonly withoutTransitions: boolean;
        readonly overlay: boolean;
        readonly overlayOpacity: string | number;
        readonly showNestedOverlay: boolean;
        readonly ariaCloseLabel: string;
        readonly anchorClass?: string | undefined;
        readonly zIndex?: string | number | undefined;
        readonly "child:cancelButton"?: NonNullable<Partial<{
            size: "small" | "medium" | "large";
            replace: boolean;
            preset: string;
            append: boolean;
            type: string;
            disabled: boolean;
            tag: string;
            href: string;
            color: string;
            loading: boolean;
            to: string | Record<string, any>;
            exact: boolean;
            activeClass: string;
            exactActiveClass: string;
            target: string;
            sizesConfig: Record<string, any>;
            textColor: string;
            round: boolean;
            fontSizesConfig: Record<string, any>;
            icon: string;
            block: boolean;
            textOpacity: number;
            backgroundOpacity: number;
            borderColor: string;
            gradient: boolean;
            plain: boolean;
            iconRight: string;
            iconColor: string;
            pressedBehavior: "mask" | "opacity";
            pressedOpacity: number;
            pressedMaskColor: string;
            hoverBehavior: "mask" | "opacity";
            hoverOpacity: string | number;
            hoverMaskColor: string;
        }> & Omit<{
            readonly size: "small" | "medium" | "large";
            readonly type: string;
            readonly disabled: boolean;
            readonly tag: string;
            readonly color: string;
            readonly loading: boolean;
            readonly sizesConfig: Record<string, any>;
            readonly textColor: string;
            readonly round: boolean;
            readonly fontSizesConfig: Record<string, any>;
            readonly icon: string;
            readonly block: boolean;
            readonly textOpacity: number;
            readonly backgroundOpacity: number;
            readonly borderColor: string;
            readonly gradient: boolean;
            readonly plain: boolean;
            readonly iconRight: string;
            readonly iconColor: string;
            readonly pressedBehavior: "mask" | "opacity";
            readonly pressedOpacity: number;
            readonly pressedMaskColor: string;
            readonly hoverBehavior: "mask" | "opacity";
            readonly hoverOpacity: string | number;
            readonly hoverMaskColor: string;
            readonly replace?: boolean | undefined;
            readonly preset?: string | undefined;
            readonly append?: boolean | undefined;
            readonly href?: string | undefined;
            readonly to?: string | Record<string, any> | undefined;
            readonly exact?: boolean | undefined;
            readonly activeClass?: string | undefined;
            readonly exactActiveClass?: string | undefined;
            readonly target?: string | undefined;
        } & VNodeProps & AllowedComponentProps & ComponentCustomProps & Readonly<ExtractPropTypes<{
            tag: {
                type: StringConstructor;
                default: string;
            };
            type: {
                type: StringConstructor;
                default: string;
            };
            block: {
                type: BooleanConstructor;
                default: boolean;
            };
            disabled: {
                type: BooleanConstructor;
                default: boolean;
            };
            color: {
                type: StringConstructor;
                default: string;
            };
            textColor: {
                type: StringConstructor;
                default: string;
            };
            textOpacity: {
                type: NumberConstructor;
                default: number;
            };
            backgroundOpacity: {
                type: NumberConstructor;
                default: number;
            };
            borderColor: {
                type: StringConstructor;
                default: string;
            };
            gradient: {
                type: BooleanConstructor;
                default: boolean;
            };
            plain: {
                type: BooleanConstructor;
                default: boolean;
            };
            round: {
                type: BooleanConstructor;
                default: boolean;
            };
            size: {
                type: PropType<"small" | "medium" | "large">;
                default: string;
                validator: (v: string) => boolean;
            };
            icon: {
                type: StringConstructor;
                default: string;
            };
            iconRight: {
                type: StringConstructor;
                default: string;
            };
            iconColor: {
                type: StringConstructor;
                default: string;
            };
            to: {
                type: PropType<string | Record<string, any>>;
                default: undefined;
            };
            replace: {
                type: BooleanConstructor;
                default: undefined;
            };
            append: {
                type: BooleanConstructor;
                default: undefined;
            };
            exact: {
                type: BooleanConstructor;
                default: undefined;
            };
            activeClass: {
                type: StringConstructor;
                default: undefined;
            };
            exactActiveClass: {
                type: StringConstructor;
                default: undefined;
            };
            href: {
                type: StringConstructor;
                default: undefined;
            };
            target: {
                type: StringConstructor;
                default: undefined;
            };
            loading: {
                type: BooleanConstructor;
                default: boolean;
            };
            pressedBehavior: {
                type: PropType<"mask" | "opacity">;
                default: string;
                validator: (value: string) => boolean;
            };
            pressedOpacity: {
                type: NumberConstructor;
                default: number;
            };
            pressedMaskColor: {
                type: StringConstructor;
                default: string;
            };
            hoverBehavior: {
                type: PropType<"mask" | "opacity">;
                default: string;
                validator: (value: string) => boolean;
            };
            hoverOpacity: {
                type: (StringConstructor | NumberConstructor)[];
                default: number;
            };
            hoverMaskColor: {
                type: StringConstructor;
                default: string;
            };
            sizesConfig: {
                type: PropType<Record<string, any>>;
                default: () => import("../../../services/global-config").SizeConfig;
            };
            fontSizesConfig: {
                type: PropType<Record<string, any>>;
                default: () => import("../../../services/global-config").SizeConfig;
            };
            preset: {
                type: StringConstructor;
                default: undefined;
            };
        }>>, "size" | "replace" | "preset" | "append" | "type" | "disabled" | "tag" | "href" | "color" | "loading" | "to" | "exact" | "activeClass" | "exactActiveClass" | "target" | "sizesConfig" | "textColor" | "round" | "fontSizesConfig" | "icon" | "block" | "textOpacity" | "backgroundOpacity" | "borderColor" | "gradient" | "plain" | "iconRight" | "iconColor" | "pressedBehavior" | "pressedOpacity" | "pressedMaskColor" | "hoverBehavior" | "hoverOpacity" | "hoverMaskColor">> | undefined;
        readonly "child:okButton"?: NonNullable<Partial<{
            size: "small" | "medium" | "large";
            replace: boolean;
            preset: string;
            append: boolean;
            type: string;
            disabled: boolean;
            tag: string;
            href: string;
            color: string;
            loading: boolean;
            to: string | Record<string, any>;
            exact: boolean;
            activeClass: string;
            exactActiveClass: string;
            target: string;
            sizesConfig: Record<string, any>;
            textColor: string;
            round: boolean;
            fontSizesConfig: Record<string, any>;
            icon: string;
            block: boolean;
            textOpacity: number;
            backgroundOpacity: number;
            borderColor: string;
            gradient: boolean;
            plain: boolean;
            iconRight: string;
            iconColor: string;
            pressedBehavior: "mask" | "opacity";
            pressedOpacity: number;
            pressedMaskColor: string;
            hoverBehavior: "mask" | "opacity";
            hoverOpacity: string | number;
            hoverMaskColor: string;
        }> & Omit<{
            readonly size: "small" | "medium" | "large";
            readonly type: string;
            readonly disabled: boolean;
            readonly tag: string;
            readonly color: string;
            readonly loading: boolean;
            readonly sizesConfig: Record<string, any>;
            readonly textColor: string;
            readonly round: boolean;
            readonly fontSizesConfig: Record<string, any>;
            readonly icon: string;
            readonly block: boolean;
            readonly textOpacity: number;
            readonly backgroundOpacity: number;
            readonly borderColor: string;
            readonly gradient: boolean;
            readonly plain: boolean;
            readonly iconRight: string;
            readonly iconColor: string;
            readonly pressedBehavior: "mask" | "opacity";
            readonly pressedOpacity: number;
            readonly pressedMaskColor: string;
            readonly hoverBehavior: "mask" | "opacity";
            readonly hoverOpacity: string | number;
            readonly hoverMaskColor: string;
            readonly replace?: boolean | undefined;
            readonly preset?: string | undefined;
            readonly append?: boolean | undefined;
            readonly href?: string | undefined;
            readonly to?: string | Record<string, any> | undefined;
            readonly exact?: boolean | undefined;
            readonly activeClass?: string | undefined;
            readonly exactActiveClass?: string | undefined;
            readonly target?: string | undefined;
        } & VNodeProps & AllowedComponentProps & ComponentCustomProps & Readonly<ExtractPropTypes<{
            tag: {
                type: StringConstructor;
                default: string;
            };
            type: {
                type: StringConstructor;
                default: string;
            };
            block: {
                type: BooleanConstructor;
                default: boolean;
            };
            disabled: {
                type: BooleanConstructor;
                default: boolean;
            };
            color: {
                type: StringConstructor;
                default: string;
            };
            textColor: {
                type: StringConstructor;
                default: string;
            };
            textOpacity: {
                type: NumberConstructor;
                default: number;
            };
            backgroundOpacity: {
                type: NumberConstructor;
                default: number;
            };
            borderColor: {
                type: StringConstructor;
                default: string;
            };
            gradient: {
                type: BooleanConstructor;
                default: boolean;
            };
            plain: {
                type: BooleanConstructor;
                default: boolean;
            };
            round: {
                type: BooleanConstructor;
                default: boolean;
            };
            size: {
                type: PropType<"small" | "medium" | "large">;
                default: string;
                validator: (v: string) => boolean;
            };
            icon: {
                type: StringConstructor;
                default: string;
            };
            iconRight: {
                type: StringConstructor;
                default: string;
            };
            iconColor: {
                type: StringConstructor;
                default: string;
            };
            to: {
                type: PropType<string | Record<string, any>>;
                default: undefined;
            };
            replace: {
                type: BooleanConstructor;
                default: undefined;
            };
            append: {
                type: BooleanConstructor;
                default: undefined;
            };
            exact: {
                type: BooleanConstructor;
                default: undefined;
            };
            activeClass: {
                type: StringConstructor;
                default: undefined;
            };
            exactActiveClass: {
                type: StringConstructor;
                default: undefined;
            };
            href: {
                type: StringConstructor;
                default: undefined;
            };
            target: {
                type: StringConstructor;
                default: undefined;
            };
            loading: {
                type: BooleanConstructor;
                default: boolean;
            };
            pressedBehavior: {
                type: PropType<"mask" | "opacity">;
                default: string;
                validator: (value: string) => boolean;
            };
            pressedOpacity: {
                type: NumberConstructor;
                default: number;
            };
            pressedMaskColor: {
                type: StringConstructor;
                default: string;
            };
            hoverBehavior: {
                type: PropType<"mask" | "opacity">;
                default: string;
                validator: (value: string) => boolean;
            };
            hoverOpacity: {
                type: (StringConstructor | NumberConstructor)[];
                default: number;
            };
            hoverMaskColor: {
                type: StringConstructor;
                default: string;
            };
            sizesConfig: {
                type: PropType<Record<string, any>>;
                default: () => import("../../../services/global-config").SizeConfig;
            };
            fontSizesConfig: {
                type: PropType<Record<string, any>>;
                default: () => import("../../../services/global-config").SizeConfig;
            };
            preset: {
                type: StringConstructor;
                default: undefined;
            };
        }>>, "size" | "replace" | "preset" | "append" | "type" | "disabled" | "tag" | "href" | "color" | "loading" | "to" | "exact" | "activeClass" | "exactActiveClass" | "target" | "sizesConfig" | "textColor" | "round" | "fontSizesConfig" | "icon" | "block" | "textOpacity" | "backgroundOpacity" | "borderColor" | "gradient" | "plain" | "iconRight" | "iconColor" | "pressedBehavior" | "pressedOpacity" | "pressedMaskColor" | "hoverBehavior" | "hoverOpacity" | "hoverMaskColor">> | undefined;
        readonly "child:closeButton"?: NonNullable<Partial<{
            size: string | number;
            preset: string;
            name: string;
            sizesConfig: Record<string, any>;
            flip: "horizontal" | "vertical" | "off" | "both";
            fontSizesConfig: Record<string, any>;
        }> & Omit<{
            readonly size: string | number;
            readonly name: string;
            readonly sizesConfig: Record<string, any>;
            readonly flip: "horizontal" | "vertical" | "off" | "both";
            readonly fontSizesConfig: Record<string, any>;
            readonly preset?: string | undefined;
            readonly tag?: string | undefined;
            readonly color?: string | undefined;
            readonly component?: any;
            readonly rotation?: string | number | undefined;
            readonly spin?: string | boolean | undefined;
        } & VNodeProps & AllowedComponentProps & ComponentCustomProps & Readonly<ExtractPropTypes<{
            name: {
                type: StringConstructor;
                default: string;
            };
            tag: {
                type: StringConstructor;
            };
            component: {
                type: PropType<any>;
            };
            color: {
                type: StringConstructor;
            };
            rotation: {
                type: (StringConstructor | NumberConstructor)[];
            };
            spin: {
                type: (BooleanConstructor | StringConstructor)[];
            };
            flip: {
                type: PropType<"horizontal" | "vertical" | "off" | "both">;
                default: string;
                validator: (value: string) => boolean;
            };
            preset: {
                type: StringConstructor;
                default: undefined;
            };
            size: {
                type: (StringConstructor | NumberConstructor)[];
                default: string;
                validator: (size: string | number) => boolean;
            };
            sizesConfig: {
                type: PropType<Record<string, any>>;
                default: () => import("../../../services/global-config").SizeConfig;
            };
            fontSizesConfig: {
                type: PropType<Record<string, any>>;
                default: () => import("../../../services/global-config").SizeConfig;
            };
        }>>, "size" | "preset" | "name" | "sizesConfig" | "flip" | "fontSizesConfig">> | undefined;
        readonly beforeClose?: ((hide: () => void) => any) | undefined;
        readonly beforeOk?: ((hide: () => void) => any) | undefined;
        readonly beforeCancel?: ((hide: () => void) => any) | undefined;
        onCancel?: ((...args: any[]) => any) | undefined;
        onClose?: ((...args: any[]) => any) | undefined;
        "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
        onOpen?: ((...args: any[]) => any) | undefined;
        "onClick-outside"?: ((...args: any[]) => any) | undefined;
        onOk?: ((...args: any[]) => any) | undefined;
        "onBefore-open"?: ((...args: any[]) => any) | undefined;
        "onBefore-close"?: ((...args: any[]) => any) | undefined;
    } & VNodeProps & AllowedComponentProps & ComponentCustomProps & Readonly<ExtractPropTypes<{
        modelValue: {
            type: BooleanConstructor;
            default: boolean;
        };
        attachElement: {
            type: StringConstructor;
            default: string;
        };
        allowBodyScroll: {
            type: BooleanConstructor;
            default: boolean;
        };
        disableAttachment: {
            type: BooleanConstructor;
            default: boolean;
        };
        title: {
            type: StringConstructor;
            default: string;
        };
        message: {
            type: StringConstructor;
            default: string;
        };
        okText: {
            type: StringConstructor;
            default: string;
        };
        cancelText: {
            type: StringConstructor;
            default: string;
        };
        hideDefaultActions: {
            type: BooleanConstructor;
            default: boolean;
        };
        fullscreen: {
            type: BooleanConstructor;
            default: boolean;
        };
        closeButton: {
            type: BooleanConstructor;
            default: boolean;
        };
        mobileFullscreen: {
            type: BooleanConstructor;
            default: boolean;
        };
        noDismiss: {
            type: BooleanConstructor;
            default: boolean;
        };
        noOutsideDismiss: {
            type: BooleanConstructor;
            default: boolean;
        };
        noEscDismiss: {
            type: BooleanConstructor;
            default: boolean;
        };
        maxWidth: {
            type: StringConstructor;
            default: string;
        };
        maxHeight: {
            type: StringConstructor;
            default: string;
        };
        anchorClass: {
            type: StringConstructor;
        };
        size: {
            type: PropType<import("../../../utils/types/prop-type").StringWithAutocomplete<"small" | "medium" | "large" | "auto">>;
            default: string;
        };
        sizesConfig: {
            type: ObjectConstructor;
            default: () => {
                defaultSize: string;
                sizes: {
                    small: number;
                    medium: number;
                    large: number;
                    auto: string;
                };
            };
        };
        fixedLayout: {
            type: BooleanConstructor;
            default: boolean;
        };
        withoutTransitions: {
            type: BooleanConstructor;
            default: boolean;
        };
        overlay: {
            type: BooleanConstructor;
            default: boolean;
        };
        overlayOpacity: {
            type: (StringConstructor | NumberConstructor)[];
            default: number;
        };
        showNestedOverlay: {
            type: BooleanConstructor;
            default: boolean;
        };
        blur: {
            type: BooleanConstructor;
            default: boolean;
        };
        zIndex: {
            type: (StringConstructor | NumberConstructor)[];
            default: undefined;
        };
        backgroundColor: {
            type: StringConstructor;
            default: string;
        };
        noPadding: {
            type: BooleanConstructor;
            default: boolean;
        };
        beforeClose: {
            type: PropType<(hide: () => void) => any>;
        };
        beforeOk: {
            type: PropType<(hide: () => void) => any>;
        };
        beforeCancel: {
            type: PropType<(hide: () => void) => any>;
        };
        ariaCloseLabel: {
            type: StringConstructor;
            default: string;
        };
        stateful: {
            type: PropType<boolean>;
            default: boolean;
        };
        "child:cancelButton": {
            type: PropType<NonNullable<Partial<{
                size: "small" | "medium" | "large";
                replace: boolean;
                preset: string;
                append: boolean;
                type: string;
                disabled: boolean;
                tag: string;
                href: string;
                color: string;
                loading: boolean;
                to: string | Record<string, any>;
                exact: boolean;
                activeClass: string;
                exactActiveClass: string;
                target: string;
                sizesConfig: Record<string, any>;
                textColor: string;
                round: boolean;
                fontSizesConfig: Record<string, any>;
                icon: string;
                block: boolean;
                textOpacity: number;
                backgroundOpacity: number;
                borderColor: string;
                gradient: boolean;
                plain: boolean;
                iconRight: string;
                iconColor: string;
                pressedBehavior: "mask" | "opacity";
                pressedOpacity: number;
                pressedMaskColor: string;
                hoverBehavior: "mask" | "opacity";
                hoverOpacity: string | number;
                hoverMaskColor: string;
            }> & Omit<{
                readonly size: "small" | "medium" | "large";
                readonly type: string;
                readonly disabled: boolean;
                readonly tag: string;
                readonly color: string;
                readonly loading: boolean;
                readonly sizesConfig: Record<string, any>;
                readonly textColor: string;
                readonly round: boolean;
                readonly fontSizesConfig: Record<string, any>;
                readonly icon: string;
                readonly block: boolean;
                readonly textOpacity: number;
                readonly backgroundOpacity: number;
                readonly borderColor: string;
                readonly gradient: boolean;
                readonly plain: boolean;
                readonly iconRight: string;
                readonly iconColor: string;
                readonly pressedBehavior: "mask" | "opacity";
                readonly pressedOpacity: number;
                readonly pressedMaskColor: string;
                readonly hoverBehavior: "mask" | "opacity";
                readonly hoverOpacity: string | number;
                readonly hoverMaskColor: string;
                readonly replace?: boolean | undefined;
                readonly preset?: string | undefined;
                readonly append?: boolean | undefined;
                readonly href?: string | undefined;
                readonly to?: string | Record<string, any> | undefined;
                readonly exact?: boolean | undefined;
                readonly activeClass?: string | undefined;
                readonly exactActiveClass?: string | undefined;
                readonly target?: string | undefined;
            } & VNodeProps & AllowedComponentProps & ComponentCustomProps & Readonly<ExtractPropTypes<{
                tag: {
                    type: StringConstructor;
                    default: string;
                };
                type: {
                    type: StringConstructor;
                    default: string;
                };
                block: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                disabled: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                color: {
                    type: StringConstructor;
                    default: string;
                };
                textColor: {
                    type: StringConstructor;
                    default: string;
                };
                textOpacity: {
                    type: NumberConstructor;
                    default: number;
                };
                backgroundOpacity: {
                    type: NumberConstructor;
                    default: number;
                };
                borderColor: {
                    type: StringConstructor;
                    default: string;
                };
                gradient: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                plain: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                round: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                size: {
                    type: PropType<"small" | "medium" | "large">;
                    default: string;
                    validator: (v: string) => boolean;
                };
                icon: {
                    type: StringConstructor;
                    default: string;
                };
                iconRight: {
                    type: StringConstructor;
                    default: string;
                };
                iconColor: {
                    type: StringConstructor;
                    default: string;
                };
                to: {
                    type: PropType<string | Record<string, any>>;
                    default: undefined;
                };
                replace: {
                    type: BooleanConstructor;
                    default: undefined;
                };
                append: {
                    type: BooleanConstructor;
                    default: undefined;
                };
                exact: {
                    type: BooleanConstructor;
                    default: undefined;
                };
                activeClass: {
                    type: StringConstructor;
                    default: undefined;
                };
                exactActiveClass: {
                    type: StringConstructor;
                    default: undefined;
                };
                href: {
                    type: StringConstructor;
                    default: undefined;
                };
                target: {
                    type: StringConstructor;
                    default: undefined;
                };
                loading: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                pressedBehavior: {
                    type: PropType<"mask" | "opacity">;
                    default: string;
                    validator: (value: string) => boolean;
                };
                pressedOpacity: {
                    type: NumberConstructor;
                    default: number;
                };
                pressedMaskColor: {
                    type: StringConstructor;
                    default: string;
                };
                hoverBehavior: {
                    type: PropType<"mask" | "opacity">;
                    default: string;
                    validator: (value: string) => boolean;
                };
                hoverOpacity: {
                    type: (StringConstructor | NumberConstructor)[];
                    default: number;
                };
                hoverMaskColor: {
                    type: StringConstructor;
                    default: string;
                };
                sizesConfig: {
                    type: PropType<Record<string, any>>;
                    default: () => import("../../../services/global-config").SizeConfig;
                };
                fontSizesConfig: {
                    type: PropType<Record<string, any>>;
                    default: () => import("../../../services/global-config").SizeConfig;
                };
                preset: {
                    type: StringConstructor;
                    default: undefined;
                };
            }>>, "size" | "replace" | "preset" | "append" | "type" | "disabled" | "tag" | "href" | "color" | "loading" | "to" | "exact" | "activeClass" | "exactActiveClass" | "target" | "sizesConfig" | "textColor" | "round" | "fontSizesConfig" | "icon" | "block" | "textOpacity" | "backgroundOpacity" | "borderColor" | "gradient" | "plain" | "iconRight" | "iconColor" | "pressedBehavior" | "pressedOpacity" | "pressedMaskColor" | "hoverBehavior" | "hoverOpacity" | "hoverMaskColor">>>;
            required: false;
            default: undefined;
        };
        "child:okButton": {
            type: PropType<NonNullable<Partial<{
                size: "small" | "medium" | "large";
                replace: boolean;
                preset: string;
                append: boolean;
                type: string;
                disabled: boolean;
                tag: string;
                href: string;
                color: string;
                loading: boolean;
                to: string | Record<string, any>;
                exact: boolean;
                activeClass: string;
                exactActiveClass: string;
                target: string;
                sizesConfig: Record<string, any>;
                textColor: string;
                round: boolean;
                fontSizesConfig: Record<string, any>;
                icon: string;
                block: boolean;
                textOpacity: number;
                backgroundOpacity: number;
                borderColor: string;
                gradient: boolean;
                plain: boolean;
                iconRight: string;
                iconColor: string;
                pressedBehavior: "mask" | "opacity";
                pressedOpacity: number;
                pressedMaskColor: string;
                hoverBehavior: "mask" | "opacity";
                hoverOpacity: string | number;
                hoverMaskColor: string;
            }> & Omit<{
                readonly size: "small" | "medium" | "large";
                readonly type: string;
                readonly disabled: boolean;
                readonly tag: string;
                readonly color: string;
                readonly loading: boolean;
                readonly sizesConfig: Record<string, any>;
                readonly textColor: string;
                readonly round: boolean;
                readonly fontSizesConfig: Record<string, any>;
                readonly icon: string;
                readonly block: boolean;
                readonly textOpacity: number;
                readonly backgroundOpacity: number;
                readonly borderColor: string;
                readonly gradient: boolean;
                readonly plain: boolean;
                readonly iconRight: string;
                readonly iconColor: string;
                readonly pressedBehavior: "mask" | "opacity";
                readonly pressedOpacity: number;
                readonly pressedMaskColor: string;
                readonly hoverBehavior: "mask" | "opacity";
                readonly hoverOpacity: string | number;
                readonly hoverMaskColor: string;
                readonly replace?: boolean | undefined;
                readonly preset?: string | undefined;
                readonly append?: boolean | undefined;
                readonly href?: string | undefined;
                readonly to?: string | Record<string, any> | undefined;
                readonly exact?: boolean | undefined;
                readonly activeClass?: string | undefined;
                readonly exactActiveClass?: string | undefined;
                readonly target?: string | undefined;
            } & VNodeProps & AllowedComponentProps & ComponentCustomProps & Readonly<ExtractPropTypes<{
                tag: {
                    type: StringConstructor;
                    default: string;
                };
                type: {
                    type: StringConstructor;
                    default: string;
                };
                block: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                disabled: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                color: {
                    type: StringConstructor;
                    default: string;
                };
                textColor: {
                    type: StringConstructor;
                    default: string;
                };
                textOpacity: {
                    type: NumberConstructor;
                    default: number;
                };
                backgroundOpacity: {
                    type: NumberConstructor;
                    default: number;
                };
                borderColor: {
                    type: StringConstructor;
                    default: string;
                };
                gradient: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                plain: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                round: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                size: {
                    type: PropType<"small" | "medium" | "large">;
                    default: string;
                    validator: (v: string) => boolean;
                };
                icon: {
                    type: StringConstructor;
                    default: string;
                };
                iconRight: {
                    type: StringConstructor;
                    default: string;
                };
                iconColor: {
                    type: StringConstructor;
                    default: string;
                };
                to: {
                    type: PropType<string | Record<string, any>>;
                    default: undefined;
                };
                replace: {
                    type: BooleanConstructor;
                    default: undefined;
                };
                append: {
                    type: BooleanConstructor;
                    default: undefined;
                };
                exact: {
                    type: BooleanConstructor;
                    default: undefined;
                };
                activeClass: {
                    type: StringConstructor;
                    default: undefined;
                };
                exactActiveClass: {
                    type: StringConstructor;
                    default: undefined;
                };
                href: {
                    type: StringConstructor;
                    default: undefined;
                };
                target: {
                    type: StringConstructor;
                    default: undefined;
                };
                loading: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                pressedBehavior: {
                    type: PropType<"mask" | "opacity">;
                    default: string;
                    validator: (value: string) => boolean;
                };
                pressedOpacity: {
                    type: NumberConstructor;
                    default: number;
                };
                pressedMaskColor: {
                    type: StringConstructor;
                    default: string;
                };
                hoverBehavior: {
                    type: PropType<"mask" | "opacity">;
                    default: string;
                    validator: (value: string) => boolean;
                };
                hoverOpacity: {
                    type: (StringConstructor | NumberConstructor)[];
                    default: number;
                };
                hoverMaskColor: {
                    type: StringConstructor;
                    default: string;
                };
                sizesConfig: {
                    type: PropType<Record<string, any>>;
                    default: () => import("../../../services/global-config").SizeConfig;
                };
                fontSizesConfig: {
                    type: PropType<Record<string, any>>;
                    default: () => import("../../../services/global-config").SizeConfig;
                };
                preset: {
                    type: StringConstructor;
                    default: undefined;
                };
            }>>, "size" | "replace" | "preset" | "append" | "type" | "disabled" | "tag" | "href" | "color" | "loading" | "to" | "exact" | "activeClass" | "exactActiveClass" | "target" | "sizesConfig" | "textColor" | "round" | "fontSizesConfig" | "icon" | "block" | "textOpacity" | "backgroundOpacity" | "borderColor" | "gradient" | "plain" | "iconRight" | "iconColor" | "pressedBehavior" | "pressedOpacity" | "pressedMaskColor" | "hoverBehavior" | "hoverOpacity" | "hoverMaskColor">>>;
            required: false;
            default: undefined;
        };
        "child:closeButton": {
            type: PropType<NonNullable<Partial<{
                size: string | number;
                preset: string;
                name: string;
                sizesConfig: Record<string, any>;
                flip: "horizontal" | "vertical" | "off" | "both";
                fontSizesConfig: Record<string, any>;
            }> & Omit<{
                readonly size: string | number;
                readonly name: string;
                readonly sizesConfig: Record<string, any>;
                readonly flip: "horizontal" | "vertical" | "off" | "both";
                readonly fontSizesConfig: Record<string, any>;
                readonly preset?: string | undefined;
                readonly tag?: string | undefined;
                readonly color?: string | undefined;
                readonly component?: any;
                readonly rotation?: string | number | undefined;
                readonly spin?: string | boolean | undefined;
            } & VNodeProps & AllowedComponentProps & ComponentCustomProps & Readonly<ExtractPropTypes<{
                name: {
                    type: StringConstructor;
                    default: string;
                };
                tag: {
                    type: StringConstructor;
                };
                component: {
                    type: PropType<any>;
                };
                color: {
                    type: StringConstructor;
                };
                rotation: {
                    type: (StringConstructor | NumberConstructor)[];
                };
                spin: {
                    type: (BooleanConstructor | StringConstructor)[];
                };
                flip: {
                    type: PropType<"horizontal" | "vertical" | "off" | "both">;
                    default: string;
                    validator: (value: string) => boolean;
                };
                preset: {
                    type: StringConstructor;
                    default: undefined;
                };
                size: {
                    type: (StringConstructor | NumberConstructor)[];
                    default: string;
                    validator: (size: string | number) => boolean;
                };
                sizesConfig: {
                    type: PropType<Record<string, any>>;
                    default: () => import("../../../services/global-config").SizeConfig;
                };
                fontSizesConfig: {
                    type: PropType<Record<string, any>>;
                    default: () => import("../../../services/global-config").SizeConfig;
                };
            }>>, "size" | "preset" | "name" | "sizesConfig" | "flip" | "fontSizesConfig">>>;
            required: false;
            default: undefined;
        };
    }>> & {
        onCancel?: ((...args: any[]) => any) | undefined;
        onClose?: ((...args: any[]) => any) | undefined;
        "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
        onOpen?: ((...args: any[]) => any) | undefined;
        "onClick-outside"?: ((...args: any[]) => any) | undefined;
        onOk?: ((...args: any[]) => any) | undefined;
        "onBefore-open"?: ((...args: any[]) => any) | undefined;
        "onBefore-close"?: ((...args: any[]) => any) | undefined;
    }, "title" | "blur" | "size" | "message" | "modelValue" | "stateful" | "sizesConfig" | "zIndex" | "noPadding" | "backgroundColor" | "closeButton" | "child:cancelButton" | "child:okButton" | "child:closeButton" | "attachElement" | "allowBodyScroll" | "disableAttachment" | "okText" | "cancelText" | "hideDefaultActions" | "fullscreen" | "mobileFullscreen" | "noDismiss" | "noOutsideDismiss" | "noEscDismiss" | "maxWidth" | "maxHeight" | "fixedLayout" | "withoutTransitions" | "overlay" | "overlayOpacity" | "showNestedOverlay" | "ariaCloseLabel"> & import("../types").ModalEmits, "anchorClass">>): VNode<RendererNode, RendererElement, {
        [key: string]: any;
    }>;
    confirm(options: string | Partial<Omit<Partial<{
        title: string;
        blur: boolean;
        size: import("../../../utils/types/prop-type").StringWithAutocomplete<"small" | "medium" | "large" | "auto">;
        message: string;
        modelValue: boolean;
        stateful: boolean;
        sizesConfig: Record<string, any>;
        zIndex: string | number;
        noPadding: boolean;
        backgroundColor: string;
        closeButton: boolean;
        "child:cancelButton": NonNullable<Partial<{
            size: "small" | "medium" | "large";
            replace: boolean;
            preset: string;
            append: boolean;
            type: string;
            disabled: boolean;
            tag: string;
            href: string;
            color: string;
            loading: boolean;
            to: string | Record<string, any>;
            exact: boolean;
            activeClass: string;
            exactActiveClass: string;
            target: string;
            sizesConfig: Record<string, any>;
            textColor: string;
            round: boolean;
            fontSizesConfig: Record<string, any>;
            icon: string;
            block: boolean;
            textOpacity: number;
            backgroundOpacity: number;
            borderColor: string;
            gradient: boolean;
            plain: boolean;
            iconRight: string;
            iconColor: string;
            pressedBehavior: "mask" | "opacity";
            pressedOpacity: number;
            pressedMaskColor: string;
            hoverBehavior: "mask" | "opacity";
            hoverOpacity: string | number;
            hoverMaskColor: string;
        }> & Omit<{
            readonly size: "small" | "medium" | "large";
            readonly type: string;
            readonly disabled: boolean;
            readonly tag: string;
            readonly color: string;
            readonly loading: boolean;
            readonly sizesConfig: Record<string, any>;
            readonly textColor: string;
            readonly round: boolean;
            readonly fontSizesConfig: Record<string, any>;
            readonly icon: string;
            readonly block: boolean;
            readonly textOpacity: number;
            readonly backgroundOpacity: number;
            readonly borderColor: string;
            readonly gradient: boolean;
            readonly plain: boolean;
            readonly iconRight: string;
            readonly iconColor: string;
            readonly pressedBehavior: "mask" | "opacity";
            readonly pressedOpacity: number;
            readonly pressedMaskColor: string;
            readonly hoverBehavior: "mask" | "opacity";
            readonly hoverOpacity: string | number;
            readonly hoverMaskColor: string;
            readonly replace?: boolean | undefined;
            readonly preset?: string | undefined;
            readonly append?: boolean | undefined;
            readonly href?: string | undefined;
            readonly to?: string | Record<string, any> | undefined;
            readonly exact?: boolean | undefined;
            readonly activeClass?: string | undefined;
            readonly exactActiveClass?: string | undefined;
            readonly target?: string | undefined;
        } & VNodeProps & AllowedComponentProps & ComponentCustomProps & Readonly<ExtractPropTypes<{
            tag: {
                type: StringConstructor;
                default: string;
            };
            type: {
                type: StringConstructor;
                default: string;
            };
            block: {
                type: BooleanConstructor;
                default: boolean;
            };
            disabled: {
                type: BooleanConstructor;
                default: boolean;
            };
            color: {
                type: StringConstructor;
                default: string;
            };
            textColor: {
                type: StringConstructor;
                default: string;
            };
            textOpacity: {
                type: NumberConstructor;
                default: number;
            };
            backgroundOpacity: {
                type: NumberConstructor;
                default: number;
            };
            borderColor: {
                type: StringConstructor;
                default: string;
            };
            gradient: {
                type: BooleanConstructor;
                default: boolean;
            };
            plain: {
                type: BooleanConstructor;
                default: boolean;
            };
            round: {
                type: BooleanConstructor;
                default: boolean;
            };
            size: {
                type: PropType<"small" | "medium" | "large">;
                default: string;
                validator: (v: string) => boolean;
            };
            icon: {
                type: StringConstructor;
                default: string;
            };
            iconRight: {
                type: StringConstructor;
                default: string;
            };
            iconColor: {
                type: StringConstructor;
                default: string;
            };
            to: {
                type: PropType<string | Record<string, any>>;
                default: undefined;
            };
            replace: {
                type: BooleanConstructor;
                default: undefined;
            };
            append: {
                type: BooleanConstructor;
                default: undefined;
            };
            exact: {
                type: BooleanConstructor;
                default: undefined;
            };
            activeClass: {
                type: StringConstructor;
                default: undefined;
            };
            exactActiveClass: {
                type: StringConstructor;
                default: undefined;
            };
            href: {
                type: StringConstructor;
                default: undefined;
            };
            target: {
                type: StringConstructor;
                default: undefined;
            };
            loading: {
                type: BooleanConstructor;
                default: boolean;
            };
            pressedBehavior: {
                type: PropType<"mask" | "opacity">;
                default: string;
                validator: (value: string) => boolean;
            };
            pressedOpacity: {
                type: NumberConstructor;
                default: number;
            };
            pressedMaskColor: {
                type: StringConstructor;
                default: string;
            };
            hoverBehavior: {
                type: PropType<"mask" | "opacity">;
                default: string;
                validator: (value: string) => boolean;
            };
            hoverOpacity: {
                type: (StringConstructor | NumberConstructor)[];
                default: number;
            };
            hoverMaskColor: {
                type: StringConstructor;
                default: string;
            };
            sizesConfig: {
                type: PropType<Record<string, any>>;
                default: () => import("../../../services/global-config").SizeConfig;
            };
            fontSizesConfig: {
                type: PropType<Record<string, any>>;
                default: () => import("../../../services/global-config").SizeConfig;
            };
            preset: {
                type: StringConstructor;
                default: undefined;
            };
        }>>, "size" | "replace" | "preset" | "append" | "type" | "disabled" | "tag" | "href" | "color" | "loading" | "to" | "exact" | "activeClass" | "exactActiveClass" | "target" | "sizesConfig" | "textColor" | "round" | "fontSizesConfig" | "icon" | "block" | "textOpacity" | "backgroundOpacity" | "borderColor" | "gradient" | "plain" | "iconRight" | "iconColor" | "pressedBehavior" | "pressedOpacity" | "pressedMaskColor" | "hoverBehavior" | "hoverOpacity" | "hoverMaskColor">>;
        "child:okButton": NonNullable<Partial<{
            size: "small" | "medium" | "large";
            replace: boolean;
            preset: string;
            append: boolean;
            type: string;
            disabled: boolean;
            tag: string;
            href: string;
            color: string;
            loading: boolean;
            to: string | Record<string, any>;
            exact: boolean;
            activeClass: string;
            exactActiveClass: string;
            target: string;
            sizesConfig: Record<string, any>;
            textColor: string;
            round: boolean;
            fontSizesConfig: Record<string, any>;
            icon: string;
            block: boolean;
            textOpacity: number;
            backgroundOpacity: number;
            borderColor: string;
            gradient: boolean;
            plain: boolean;
            iconRight: string;
            iconColor: string;
            pressedBehavior: "mask" | "opacity";
            pressedOpacity: number;
            pressedMaskColor: string;
            hoverBehavior: "mask" | "opacity";
            hoverOpacity: string | number;
            hoverMaskColor: string;
        }> & Omit<{
            readonly size: "small" | "medium" | "large";
            readonly type: string;
            readonly disabled: boolean;
            readonly tag: string;
            readonly color: string;
            readonly loading: boolean;
            readonly sizesConfig: Record<string, any>;
            readonly textColor: string;
            readonly round: boolean;
            readonly fontSizesConfig: Record<string, any>;
            readonly icon: string;
            readonly block: boolean;
            readonly textOpacity: number;
            readonly backgroundOpacity: number;
            readonly borderColor: string;
            readonly gradient: boolean;
            readonly plain: boolean;
            readonly iconRight: string;
            readonly iconColor: string;
            readonly pressedBehavior: "mask" | "opacity";
            readonly pressedOpacity: number;
            readonly pressedMaskColor: string;
            readonly hoverBehavior: "mask" | "opacity";
            readonly hoverOpacity: string | number;
            readonly hoverMaskColor: string;
            readonly replace?: boolean | undefined;
            readonly preset?: string | undefined;
            readonly append?: boolean | undefined;
            readonly href?: string | undefined;
            readonly to?: string | Record<string, any> | undefined;
            readonly exact?: boolean | undefined;
            readonly activeClass?: string | undefined;
            readonly exactActiveClass?: string | undefined;
            readonly target?: string | undefined;
        } & VNodeProps & AllowedComponentProps & ComponentCustomProps & Readonly<ExtractPropTypes<{
            tag: {
                type: StringConstructor;
                default: string;
            };
            type: {
                type: StringConstructor;
                default: string;
            };
            block: {
                type: BooleanConstructor;
                default: boolean;
            };
            disabled: {
                type: BooleanConstructor;
                default: boolean;
            };
            color: {
                type: StringConstructor;
                default: string;
            };
            textColor: {
                type: StringConstructor;
                default: string;
            };
            textOpacity: {
                type: NumberConstructor;
                default: number;
            };
            backgroundOpacity: {
                type: NumberConstructor;
                default: number;
            };
            borderColor: {
                type: StringConstructor;
                default: string;
            };
            gradient: {
                type: BooleanConstructor;
                default: boolean;
            };
            plain: {
                type: BooleanConstructor;
                default: boolean;
            };
            round: {
                type: BooleanConstructor;
                default: boolean;
            };
            size: {
                type: PropType<"small" | "medium" | "large">;
                default: string;
                validator: (v: string) => boolean;
            };
            icon: {
                type: StringConstructor;
                default: string;
            };
            iconRight: {
                type: StringConstructor;
                default: string;
            };
            iconColor: {
                type: StringConstructor;
                default: string;
            };
            to: {
                type: PropType<string | Record<string, any>>;
                default: undefined;
            };
            replace: {
                type: BooleanConstructor;
                default: undefined;
            };
            append: {
                type: BooleanConstructor;
                default: undefined;
            };
            exact: {
                type: BooleanConstructor;
                default: undefined;
            };
            activeClass: {
                type: StringConstructor;
                default: undefined;
            };
            exactActiveClass: {
                type: StringConstructor;
                default: undefined;
            };
            href: {
                type: StringConstructor;
                default: undefined;
            };
            target: {
                type: StringConstructor;
                default: undefined;
            };
            loading: {
                type: BooleanConstructor;
                default: boolean;
            };
            pressedBehavior: {
                type: PropType<"mask" | "opacity">;
                default: string;
                validator: (value: string) => boolean;
            };
            pressedOpacity: {
                type: NumberConstructor;
                default: number;
            };
            pressedMaskColor: {
                type: StringConstructor;
                default: string;
            };
            hoverBehavior: {
                type: PropType<"mask" | "opacity">;
                default: string;
                validator: (value: string) => boolean;
            };
            hoverOpacity: {
                type: (StringConstructor | NumberConstructor)[];
                default: number;
            };
            hoverMaskColor: {
                type: StringConstructor;
                default: string;
            };
            sizesConfig: {
                type: PropType<Record<string, any>>;
                default: () => import("../../../services/global-config").SizeConfig;
            };
            fontSizesConfig: {
                type: PropType<Record<string, any>>;
                default: () => import("../../../services/global-config").SizeConfig;
            };
            preset: {
                type: StringConstructor;
                default: undefined;
            };
        }>>, "size" | "replace" | "preset" | "append" | "type" | "disabled" | "tag" | "href" | "color" | "loading" | "to" | "exact" | "activeClass" | "exactActiveClass" | "target" | "sizesConfig" | "textColor" | "round" | "fontSizesConfig" | "icon" | "block" | "textOpacity" | "backgroundOpacity" | "borderColor" | "gradient" | "plain" | "iconRight" | "iconColor" | "pressedBehavior" | "pressedOpacity" | "pressedMaskColor" | "hoverBehavior" | "hoverOpacity" | "hoverMaskColor">>;
        "child:closeButton": NonNullable<Partial<{
            size: string | number;
            preset: string;
            name: string;
            sizesConfig: Record<string, any>;
            flip: "horizontal" | "vertical" | "off" | "both";
            fontSizesConfig: Record<string, any>;
        }> & Omit<{
            readonly size: string | number;
            readonly name: string;
            readonly sizesConfig: Record<string, any>;
            readonly flip: "horizontal" | "vertical" | "off" | "both";
            readonly fontSizesConfig: Record<string, any>;
            readonly preset?: string | undefined;
            readonly tag?: string | undefined;
            readonly color?: string | undefined;
            readonly component?: any;
            readonly rotation?: string | number | undefined;
            readonly spin?: string | boolean | undefined;
        } & VNodeProps & AllowedComponentProps & ComponentCustomProps & Readonly<ExtractPropTypes<{
            name: {
                type: StringConstructor;
                default: string;
            };
            tag: {
                type: StringConstructor;
            };
            component: {
                type: PropType<any>;
            };
            color: {
                type: StringConstructor;
            };
            rotation: {
                type: (StringConstructor | NumberConstructor)[];
            };
            spin: {
                type: (BooleanConstructor | StringConstructor)[];
            };
            flip: {
                type: PropType<"horizontal" | "vertical" | "off" | "both">;
                default: string;
                validator: (value: string) => boolean;
            };
            preset: {
                type: StringConstructor;
                default: undefined;
            };
            size: {
                type: (StringConstructor | NumberConstructor)[];
                default: string;
                validator: (size: string | number) => boolean;
            };
            sizesConfig: {
                type: PropType<Record<string, any>>;
                default: () => import("../../../services/global-config").SizeConfig;
            };
            fontSizesConfig: {
                type: PropType<Record<string, any>>;
                default: () => import("../../../services/global-config").SizeConfig;
            };
        }>>, "size" | "preset" | "name" | "sizesConfig" | "flip" | "fontSizesConfig">>;
        attachElement: string;
        allowBodyScroll: boolean;
        disableAttachment: boolean;
        okText: string;
        cancelText: string;
        hideDefaultActions: boolean;
        fullscreen: boolean;
        mobileFullscreen: boolean;
        noDismiss: boolean;
        noOutsideDismiss: boolean;
        noEscDismiss: boolean;
        maxWidth: string;
        maxHeight: string;
        fixedLayout: boolean;
        withoutTransitions: boolean;
        overlay: boolean;
        overlayOpacity: string | number;
        showNestedOverlay: boolean;
        ariaCloseLabel: string;
    }> & Omit<{
        readonly title: string;
        readonly blur: boolean;
        readonly size: import("../../../utils/types/prop-type").StringWithAutocomplete<"small" | "medium" | "large" | "auto">;
        readonly message: string;
        readonly modelValue: boolean;
        readonly stateful: boolean;
        readonly sizesConfig: Record<string, any>;
        readonly noPadding: boolean;
        readonly backgroundColor: string;
        readonly closeButton: boolean;
        readonly attachElement: string;
        readonly allowBodyScroll: boolean;
        readonly disableAttachment: boolean;
        readonly okText: string;
        readonly cancelText: string;
        readonly hideDefaultActions: boolean;
        readonly fullscreen: boolean;
        readonly mobileFullscreen: boolean;
        readonly noDismiss: boolean;
        readonly noOutsideDismiss: boolean;
        readonly noEscDismiss: boolean;
        readonly maxWidth: string;
        readonly maxHeight: string;
        readonly fixedLayout: boolean;
        readonly withoutTransitions: boolean;
        readonly overlay: boolean;
        readonly overlayOpacity: string | number;
        readonly showNestedOverlay: boolean;
        readonly ariaCloseLabel: string;
        readonly anchorClass?: string | undefined;
        readonly zIndex?: string | number | undefined;
        readonly "child:cancelButton"?: NonNullable<Partial<{
            size: "small" | "medium" | "large";
            replace: boolean;
            preset: string;
            append: boolean;
            type: string;
            disabled: boolean;
            tag: string;
            href: string;
            color: string;
            loading: boolean;
            to: string | Record<string, any>;
            exact: boolean;
            activeClass: string;
            exactActiveClass: string;
            target: string;
            sizesConfig: Record<string, any>;
            textColor: string;
            round: boolean;
            fontSizesConfig: Record<string, any>;
            icon: string;
            block: boolean;
            textOpacity: number;
            backgroundOpacity: number;
            borderColor: string;
            gradient: boolean;
            plain: boolean;
            iconRight: string;
            iconColor: string;
            pressedBehavior: "mask" | "opacity";
            pressedOpacity: number;
            pressedMaskColor: string;
            hoverBehavior: "mask" | "opacity";
            hoverOpacity: string | number;
            hoverMaskColor: string;
        }> & Omit<{
            readonly size: "small" | "medium" | "large";
            readonly type: string;
            readonly disabled: boolean;
            readonly tag: string;
            readonly color: string;
            readonly loading: boolean;
            readonly sizesConfig: Record<string, any>;
            readonly textColor: string;
            readonly round: boolean;
            readonly fontSizesConfig: Record<string, any>;
            readonly icon: string;
            readonly block: boolean;
            readonly textOpacity: number;
            readonly backgroundOpacity: number;
            readonly borderColor: string;
            readonly gradient: boolean;
            readonly plain: boolean;
            readonly iconRight: string;
            readonly iconColor: string;
            readonly pressedBehavior: "mask" | "opacity";
            readonly pressedOpacity: number;
            readonly pressedMaskColor: string;
            readonly hoverBehavior: "mask" | "opacity";
            readonly hoverOpacity: string | number;
            readonly hoverMaskColor: string;
            readonly replace?: boolean | undefined;
            readonly preset?: string | undefined;
            readonly append?: boolean | undefined;
            readonly href?: string | undefined;
            readonly to?: string | Record<string, any> | undefined;
            readonly exact?: boolean | undefined;
            readonly activeClass?: string | undefined;
            readonly exactActiveClass?: string | undefined;
            readonly target?: string | undefined;
        } & VNodeProps & AllowedComponentProps & ComponentCustomProps & Readonly<ExtractPropTypes<{
            tag: {
                type: StringConstructor;
                default: string;
            };
            type: {
                type: StringConstructor;
                default: string;
            };
            block: {
                type: BooleanConstructor;
                default: boolean;
            };
            disabled: {
                type: BooleanConstructor;
                default: boolean;
            };
            color: {
                type: StringConstructor;
                default: string;
            };
            textColor: {
                type: StringConstructor;
                default: string;
            };
            textOpacity: {
                type: NumberConstructor;
                default: number;
            };
            backgroundOpacity: {
                type: NumberConstructor;
                default: number;
            };
            borderColor: {
                type: StringConstructor;
                default: string;
            };
            gradient: {
                type: BooleanConstructor;
                default: boolean;
            };
            plain: {
                type: BooleanConstructor;
                default: boolean;
            };
            round: {
                type: BooleanConstructor;
                default: boolean;
            };
            size: {
                type: PropType<"small" | "medium" | "large">;
                default: string;
                validator: (v: string) => boolean;
            };
            icon: {
                type: StringConstructor;
                default: string;
            };
            iconRight: {
                type: StringConstructor;
                default: string;
            };
            iconColor: {
                type: StringConstructor;
                default: string;
            };
            to: {
                type: PropType<string | Record<string, any>>;
                default: undefined;
            };
            replace: {
                type: BooleanConstructor;
                default: undefined;
            };
            append: {
                type: BooleanConstructor;
                default: undefined;
            };
            exact: {
                type: BooleanConstructor;
                default: undefined;
            };
            activeClass: {
                type: StringConstructor;
                default: undefined;
            };
            exactActiveClass: {
                type: StringConstructor;
                default: undefined;
            };
            href: {
                type: StringConstructor;
                default: undefined;
            };
            target: {
                type: StringConstructor;
                default: undefined;
            };
            loading: {
                type: BooleanConstructor;
                default: boolean;
            };
            pressedBehavior: {
                type: PropType<"mask" | "opacity">;
                default: string;
                validator: (value: string) => boolean;
            };
            pressedOpacity: {
                type: NumberConstructor;
                default: number;
            };
            pressedMaskColor: {
                type: StringConstructor;
                default: string;
            };
            hoverBehavior: {
                type: PropType<"mask" | "opacity">;
                default: string;
                validator: (value: string) => boolean;
            };
            hoverOpacity: {
                type: (StringConstructor | NumberConstructor)[];
                default: number;
            };
            hoverMaskColor: {
                type: StringConstructor;
                default: string;
            };
            sizesConfig: {
                type: PropType<Record<string, any>>;
                default: () => import("../../../services/global-config").SizeConfig;
            };
            fontSizesConfig: {
                type: PropType<Record<string, any>>;
                default: () => import("../../../services/global-config").SizeConfig;
            };
            preset: {
                type: StringConstructor;
                default: undefined;
            };
        }>>, "size" | "replace" | "preset" | "append" | "type" | "disabled" | "tag" | "href" | "color" | "loading" | "to" | "exact" | "activeClass" | "exactActiveClass" | "target" | "sizesConfig" | "textColor" | "round" | "fontSizesConfig" | "icon" | "block" | "textOpacity" | "backgroundOpacity" | "borderColor" | "gradient" | "plain" | "iconRight" | "iconColor" | "pressedBehavior" | "pressedOpacity" | "pressedMaskColor" | "hoverBehavior" | "hoverOpacity" | "hoverMaskColor">> | undefined;
        readonly "child:okButton"?: NonNullable<Partial<{
            size: "small" | "medium" | "large";
            replace: boolean;
            preset: string;
            append: boolean;
            type: string;
            disabled: boolean;
            tag: string;
            href: string;
            color: string;
            loading: boolean;
            to: string | Record<string, any>;
            exact: boolean;
            activeClass: string;
            exactActiveClass: string;
            target: string;
            sizesConfig: Record<string, any>;
            textColor: string;
            round: boolean;
            fontSizesConfig: Record<string, any>;
            icon: string;
            block: boolean;
            textOpacity: number;
            backgroundOpacity: number;
            borderColor: string;
            gradient: boolean;
            plain: boolean;
            iconRight: string;
            iconColor: string;
            pressedBehavior: "mask" | "opacity";
            pressedOpacity: number;
            pressedMaskColor: string;
            hoverBehavior: "mask" | "opacity";
            hoverOpacity: string | number;
            hoverMaskColor: string;
        }> & Omit<{
            readonly size: "small" | "medium" | "large";
            readonly type: string;
            readonly disabled: boolean;
            readonly tag: string;
            readonly color: string;
            readonly loading: boolean;
            readonly sizesConfig: Record<string, any>;
            readonly textColor: string;
            readonly round: boolean;
            readonly fontSizesConfig: Record<string, any>;
            readonly icon: string;
            readonly block: boolean;
            readonly textOpacity: number;
            readonly backgroundOpacity: number;
            readonly borderColor: string;
            readonly gradient: boolean;
            readonly plain: boolean;
            readonly iconRight: string;
            readonly iconColor: string;
            readonly pressedBehavior: "mask" | "opacity";
            readonly pressedOpacity: number;
            readonly pressedMaskColor: string;
            readonly hoverBehavior: "mask" | "opacity";
            readonly hoverOpacity: string | number;
            readonly hoverMaskColor: string;
            readonly replace?: boolean | undefined;
            readonly preset?: string | undefined;
            readonly append?: boolean | undefined;
            readonly href?: string | undefined;
            readonly to?: string | Record<string, any> | undefined;
            readonly exact?: boolean | undefined;
            readonly activeClass?: string | undefined;
            readonly exactActiveClass?: string | undefined;
            readonly target?: string | undefined;
        } & VNodeProps & AllowedComponentProps & ComponentCustomProps & Readonly<ExtractPropTypes<{
            tag: {
                type: StringConstructor;
                default: string;
            };
            type: {
                type: StringConstructor;
                default: string;
            };
            block: {
                type: BooleanConstructor;
                default: boolean;
            };
            disabled: {
                type: BooleanConstructor;
                default: boolean;
            };
            color: {
                type: StringConstructor;
                default: string;
            };
            textColor: {
                type: StringConstructor;
                default: string;
            };
            textOpacity: {
                type: NumberConstructor;
                default: number;
            };
            backgroundOpacity: {
                type: NumberConstructor;
                default: number;
            };
            borderColor: {
                type: StringConstructor;
                default: string;
            };
            gradient: {
                type: BooleanConstructor;
                default: boolean;
            };
            plain: {
                type: BooleanConstructor;
                default: boolean;
            };
            round: {
                type: BooleanConstructor;
                default: boolean;
            };
            size: {
                type: PropType<"small" | "medium" | "large">;
                default: string;
                validator: (v: string) => boolean;
            };
            icon: {
                type: StringConstructor;
                default: string;
            };
            iconRight: {
                type: StringConstructor;
                default: string;
            };
            iconColor: {
                type: StringConstructor;
                default: string;
            };
            to: {
                type: PropType<string | Record<string, any>>;
                default: undefined;
            };
            replace: {
                type: BooleanConstructor;
                default: undefined;
            };
            append: {
                type: BooleanConstructor;
                default: undefined;
            };
            exact: {
                type: BooleanConstructor;
                default: undefined;
            };
            activeClass: {
                type: StringConstructor;
                default: undefined;
            };
            exactActiveClass: {
                type: StringConstructor;
                default: undefined;
            };
            href: {
                type: StringConstructor;
                default: undefined;
            };
            target: {
                type: StringConstructor;
                default: undefined;
            };
            loading: {
                type: BooleanConstructor;
                default: boolean;
            };
            pressedBehavior: {
                type: PropType<"mask" | "opacity">;
                default: string;
                validator: (value: string) => boolean;
            };
            pressedOpacity: {
                type: NumberConstructor;
                default: number;
            };
            pressedMaskColor: {
                type: StringConstructor;
                default: string;
            };
            hoverBehavior: {
                type: PropType<"mask" | "opacity">;
                default: string;
                validator: (value: string) => boolean;
            };
            hoverOpacity: {
                type: (StringConstructor | NumberConstructor)[];
                default: number;
            };
            hoverMaskColor: {
                type: StringConstructor;
                default: string;
            };
            sizesConfig: {
                type: PropType<Record<string, any>>;
                default: () => import("../../../services/global-config").SizeConfig;
            };
            fontSizesConfig: {
                type: PropType<Record<string, any>>;
                default: () => import("../../../services/global-config").SizeConfig;
            };
            preset: {
                type: StringConstructor;
                default: undefined;
            };
        }>>, "size" | "replace" | "preset" | "append" | "type" | "disabled" | "tag" | "href" | "color" | "loading" | "to" | "exact" | "activeClass" | "exactActiveClass" | "target" | "sizesConfig" | "textColor" | "round" | "fontSizesConfig" | "icon" | "block" | "textOpacity" | "backgroundOpacity" | "borderColor" | "gradient" | "plain" | "iconRight" | "iconColor" | "pressedBehavior" | "pressedOpacity" | "pressedMaskColor" | "hoverBehavior" | "hoverOpacity" | "hoverMaskColor">> | undefined;
        readonly "child:closeButton"?: NonNullable<Partial<{
            size: string | number;
            preset: string;
            name: string;
            sizesConfig: Record<string, any>;
            flip: "horizontal" | "vertical" | "off" | "both";
            fontSizesConfig: Record<string, any>;
        }> & Omit<{
            readonly size: string | number;
            readonly name: string;
            readonly sizesConfig: Record<string, any>;
            readonly flip: "horizontal" | "vertical" | "off" | "both";
            readonly fontSizesConfig: Record<string, any>;
            readonly preset?: string | undefined;
            readonly tag?: string | undefined;
            readonly color?: string | undefined;
            readonly component?: any;
            readonly rotation?: string | number | undefined;
            readonly spin?: string | boolean | undefined;
        } & VNodeProps & AllowedComponentProps & ComponentCustomProps & Readonly<ExtractPropTypes<{
            name: {
                type: StringConstructor;
                default: string;
            };
            tag: {
                type: StringConstructor;
            };
            component: {
                type: PropType<any>;
            };
            color: {
                type: StringConstructor;
            };
            rotation: {
                type: (StringConstructor | NumberConstructor)[];
            };
            spin: {
                type: (BooleanConstructor | StringConstructor)[];
            };
            flip: {
                type: PropType<"horizontal" | "vertical" | "off" | "both">;
                default: string;
                validator: (value: string) => boolean;
            };
            preset: {
                type: StringConstructor;
                default: undefined;
            };
            size: {
                type: (StringConstructor | NumberConstructor)[];
                default: string;
                validator: (size: string | number) => boolean;
            };
            sizesConfig: {
                type: PropType<Record<string, any>>;
                default: () => import("../../../services/global-config").SizeConfig;
            };
            fontSizesConfig: {
                type: PropType<Record<string, any>>;
                default: () => import("../../../services/global-config").SizeConfig;
            };
        }>>, "size" | "preset" | "name" | "sizesConfig" | "flip" | "fontSizesConfig">> | undefined;
        readonly beforeClose?: ((hide: () => void) => any) | undefined;
        readonly beforeOk?: ((hide: () => void) => any) | undefined;
        readonly beforeCancel?: ((hide: () => void) => any) | undefined;
        onCancel?: ((...args: any[]) => any) | undefined;
        onClose?: ((...args: any[]) => any) | undefined;
        "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
        onOpen?: ((...args: any[]) => any) | undefined;
        "onClick-outside"?: ((...args: any[]) => any) | undefined;
        onOk?: ((...args: any[]) => any) | undefined;
        "onBefore-open"?: ((...args: any[]) => any) | undefined;
        "onBefore-close"?: ((...args: any[]) => any) | undefined;
    } & VNodeProps & AllowedComponentProps & ComponentCustomProps & Readonly<ExtractPropTypes<{
        modelValue: {
            type: BooleanConstructor;
            default: boolean;
        };
        attachElement: {
            type: StringConstructor;
            default: string;
        };
        allowBodyScroll: {
            type: BooleanConstructor;
            default: boolean;
        };
        disableAttachment: {
            type: BooleanConstructor;
            default: boolean;
        };
        title: {
            type: StringConstructor;
            default: string;
        };
        message: {
            type: StringConstructor;
            default: string;
        };
        okText: {
            type: StringConstructor;
            default: string;
        };
        cancelText: {
            type: StringConstructor;
            default: string;
        };
        hideDefaultActions: {
            type: BooleanConstructor;
            default: boolean;
        };
        fullscreen: {
            type: BooleanConstructor;
            default: boolean;
        };
        closeButton: {
            type: BooleanConstructor;
            default: boolean;
        };
        mobileFullscreen: {
            type: BooleanConstructor;
            default: boolean;
        };
        noDismiss: {
            type: BooleanConstructor;
            default: boolean;
        };
        noOutsideDismiss: {
            type: BooleanConstructor;
            default: boolean;
        };
        noEscDismiss: {
            type: BooleanConstructor;
            default: boolean;
        };
        maxWidth: {
            type: StringConstructor;
            default: string;
        };
        maxHeight: {
            type: StringConstructor;
            default: string;
        };
        anchorClass: {
            type: StringConstructor;
        };
        size: {
            type: PropType<import("../../../utils/types/prop-type").StringWithAutocomplete<"small" | "medium" | "large" | "auto">>;
            default: string;
        };
        sizesConfig: {
            type: ObjectConstructor;
            default: () => {
                defaultSize: string;
                sizes: {
                    small: number;
                    medium: number;
                    large: number;
                    auto: string;
                };
            };
        };
        fixedLayout: {
            type: BooleanConstructor;
            default: boolean;
        };
        withoutTransitions: {
            type: BooleanConstructor;
            default: boolean;
        };
        overlay: {
            type: BooleanConstructor;
            default: boolean;
        };
        overlayOpacity: {
            type: (StringConstructor | NumberConstructor)[];
            default: number;
        };
        showNestedOverlay: {
            type: BooleanConstructor;
            default: boolean;
        };
        blur: {
            type: BooleanConstructor;
            default: boolean;
        };
        zIndex: {
            type: (StringConstructor | NumberConstructor)[];
            default: undefined;
        };
        backgroundColor: {
            type: StringConstructor;
            default: string;
        };
        noPadding: {
            type: BooleanConstructor;
            default: boolean;
        };
        beforeClose: {
            type: PropType<(hide: () => void) => any>;
        };
        beforeOk: {
            type: PropType<(hide: () => void) => any>;
        };
        beforeCancel: {
            type: PropType<(hide: () => void) => any>;
        };
        ariaCloseLabel: {
            type: StringConstructor;
            default: string;
        };
        stateful: {
            type: PropType<boolean>;
            default: boolean;
        };
        "child:cancelButton": {
            type: PropType<NonNullable<Partial<{
                size: "small" | "medium" | "large";
                replace: boolean;
                preset: string;
                append: boolean;
                type: string;
                disabled: boolean;
                tag: string;
                href: string;
                color: string;
                loading: boolean;
                to: string | Record<string, any>;
                exact: boolean;
                activeClass: string;
                exactActiveClass: string;
                target: string;
                sizesConfig: Record<string, any>;
                textColor: string;
                round: boolean;
                fontSizesConfig: Record<string, any>;
                icon: string;
                block: boolean;
                textOpacity: number;
                backgroundOpacity: number;
                borderColor: string;
                gradient: boolean;
                plain: boolean;
                iconRight: string;
                iconColor: string;
                pressedBehavior: "mask" | "opacity";
                pressedOpacity: number;
                pressedMaskColor: string;
                hoverBehavior: "mask" | "opacity";
                hoverOpacity: string | number;
                hoverMaskColor: string;
            }> & Omit<{
                readonly size: "small" | "medium" | "large";
                readonly type: string;
                readonly disabled: boolean;
                readonly tag: string;
                readonly color: string;
                readonly loading: boolean;
                readonly sizesConfig: Record<string, any>;
                readonly textColor: string;
                readonly round: boolean;
                readonly fontSizesConfig: Record<string, any>;
                readonly icon: string;
                readonly block: boolean;
                readonly textOpacity: number;
                readonly backgroundOpacity: number;
                readonly borderColor: string;
                readonly gradient: boolean;
                readonly plain: boolean;
                readonly iconRight: string;
                readonly iconColor: string;
                readonly pressedBehavior: "mask" | "opacity";
                readonly pressedOpacity: number;
                readonly pressedMaskColor: string;
                readonly hoverBehavior: "mask" | "opacity";
                readonly hoverOpacity: string | number;
                readonly hoverMaskColor: string;
                readonly replace?: boolean | undefined;
                readonly preset?: string | undefined;
                readonly append?: boolean | undefined;
                readonly href?: string | undefined;
                readonly to?: string | Record<string, any> | undefined;
                readonly exact?: boolean | undefined;
                readonly activeClass?: string | undefined;
                readonly exactActiveClass?: string | undefined;
                readonly target?: string | undefined;
            } & VNodeProps & AllowedComponentProps & ComponentCustomProps & Readonly<ExtractPropTypes<{
                tag: {
                    type: StringConstructor;
                    default: string;
                };
                type: {
                    type: StringConstructor;
                    default: string;
                };
                block: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                disabled: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                color: {
                    type: StringConstructor;
                    default: string;
                };
                textColor: {
                    type: StringConstructor;
                    default: string;
                };
                textOpacity: {
                    type: NumberConstructor;
                    default: number;
                };
                backgroundOpacity: {
                    type: NumberConstructor;
                    default: number;
                };
                borderColor: {
                    type: StringConstructor;
                    default: string;
                };
                gradient: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                plain: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                round: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                size: {
                    type: PropType<"small" | "medium" | "large">;
                    default: string;
                    validator: (v: string) => boolean;
                };
                icon: {
                    type: StringConstructor;
                    default: string;
                };
                iconRight: {
                    type: StringConstructor;
                    default: string;
                };
                iconColor: {
                    type: StringConstructor;
                    default: string;
                };
                to: {
                    type: PropType<string | Record<string, any>>;
                    default: undefined;
                };
                replace: {
                    type: BooleanConstructor;
                    default: undefined;
                };
                append: {
                    type: BooleanConstructor;
                    default: undefined;
                };
                exact: {
                    type: BooleanConstructor;
                    default: undefined;
                };
                activeClass: {
                    type: StringConstructor;
                    default: undefined;
                };
                exactActiveClass: {
                    type: StringConstructor;
                    default: undefined;
                };
                href: {
                    type: StringConstructor;
                    default: undefined;
                };
                target: {
                    type: StringConstructor;
                    default: undefined;
                };
                loading: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                pressedBehavior: {
                    type: PropType<"mask" | "opacity">;
                    default: string;
                    validator: (value: string) => boolean;
                };
                pressedOpacity: {
                    type: NumberConstructor;
                    default: number;
                };
                pressedMaskColor: {
                    type: StringConstructor;
                    default: string;
                };
                hoverBehavior: {
                    type: PropType<"mask" | "opacity">;
                    default: string;
                    validator: (value: string) => boolean;
                };
                hoverOpacity: {
                    type: (StringConstructor | NumberConstructor)[];
                    default: number;
                };
                hoverMaskColor: {
                    type: StringConstructor;
                    default: string;
                };
                sizesConfig: {
                    type: PropType<Record<string, any>>;
                    default: () => import("../../../services/global-config").SizeConfig;
                };
                fontSizesConfig: {
                    type: PropType<Record<string, any>>;
                    default: () => import("../../../services/global-config").SizeConfig;
                };
                preset: {
                    type: StringConstructor;
                    default: undefined;
                };
            }>>, "size" | "replace" | "preset" | "append" | "type" | "disabled" | "tag" | "href" | "color" | "loading" | "to" | "exact" | "activeClass" | "exactActiveClass" | "target" | "sizesConfig" | "textColor" | "round" | "fontSizesConfig" | "icon" | "block" | "textOpacity" | "backgroundOpacity" | "borderColor" | "gradient" | "plain" | "iconRight" | "iconColor" | "pressedBehavior" | "pressedOpacity" | "pressedMaskColor" | "hoverBehavior" | "hoverOpacity" | "hoverMaskColor">>>;
            required: false;
            default: undefined;
        };
        "child:okButton": {
            type: PropType<NonNullable<Partial<{
                size: "small" | "medium" | "large";
                replace: boolean;
                preset: string;
                append: boolean;
                type: string;
                disabled: boolean;
                tag: string;
                href: string;
                color: string;
                loading: boolean;
                to: string | Record<string, any>;
                exact: boolean;
                activeClass: string;
                exactActiveClass: string;
                target: string;
                sizesConfig: Record<string, any>;
                textColor: string;
                round: boolean;
                fontSizesConfig: Record<string, any>;
                icon: string;
                block: boolean;
                textOpacity: number;
                backgroundOpacity: number;
                borderColor: string;
                gradient: boolean;
                plain: boolean;
                iconRight: string;
                iconColor: string;
                pressedBehavior: "mask" | "opacity";
                pressedOpacity: number;
                pressedMaskColor: string;
                hoverBehavior: "mask" | "opacity";
                hoverOpacity: string | number;
                hoverMaskColor: string;
            }> & Omit<{
                readonly size: "small" | "medium" | "large";
                readonly type: string;
                readonly disabled: boolean;
                readonly tag: string;
                readonly color: string;
                readonly loading: boolean;
                readonly sizesConfig: Record<string, any>;
                readonly textColor: string;
                readonly round: boolean;
                readonly fontSizesConfig: Record<string, any>;
                readonly icon: string;
                readonly block: boolean;
                readonly textOpacity: number;
                readonly backgroundOpacity: number;
                readonly borderColor: string;
                readonly gradient: boolean;
                readonly plain: boolean;
                readonly iconRight: string;
                readonly iconColor: string;
                readonly pressedBehavior: "mask" | "opacity";
                readonly pressedOpacity: number;
                readonly pressedMaskColor: string;
                readonly hoverBehavior: "mask" | "opacity";
                readonly hoverOpacity: string | number;
                readonly hoverMaskColor: string;
                readonly replace?: boolean | undefined;
                readonly preset?: string | undefined;
                readonly append?: boolean | undefined;
                readonly href?: string | undefined;
                readonly to?: string | Record<string, any> | undefined;
                readonly exact?: boolean | undefined;
                readonly activeClass?: string | undefined;
                readonly exactActiveClass?: string | undefined;
                readonly target?: string | undefined;
            } & VNodeProps & AllowedComponentProps & ComponentCustomProps & Readonly<ExtractPropTypes<{
                tag: {
                    type: StringConstructor;
                    default: string;
                };
                type: {
                    type: StringConstructor;
                    default: string;
                };
                block: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                disabled: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                color: {
                    type: StringConstructor;
                    default: string;
                };
                textColor: {
                    type: StringConstructor;
                    default: string;
                };
                textOpacity: {
                    type: NumberConstructor;
                    default: number;
                };
                backgroundOpacity: {
                    type: NumberConstructor;
                    default: number;
                };
                borderColor: {
                    type: StringConstructor;
                    default: string;
                };
                gradient: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                plain: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                round: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                size: {
                    type: PropType<"small" | "medium" | "large">;
                    default: string;
                    validator: (v: string) => boolean;
                };
                icon: {
                    type: StringConstructor;
                    default: string;
                };
                iconRight: {
                    type: StringConstructor;
                    default: string;
                };
                iconColor: {
                    type: StringConstructor;
                    default: string;
                };
                to: {
                    type: PropType<string | Record<string, any>>;
                    default: undefined;
                };
                replace: {
                    type: BooleanConstructor;
                    default: undefined;
                };
                append: {
                    type: BooleanConstructor;
                    default: undefined;
                };
                exact: {
                    type: BooleanConstructor;
                    default: undefined;
                };
                activeClass: {
                    type: StringConstructor;
                    default: undefined;
                };
                exactActiveClass: {
                    type: StringConstructor;
                    default: undefined;
                };
                href: {
                    type: StringConstructor;
                    default: undefined;
                };
                target: {
                    type: StringConstructor;
                    default: undefined;
                };
                loading: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                pressedBehavior: {
                    type: PropType<"mask" | "opacity">;
                    default: string;
                    validator: (value: string) => boolean;
                };
                pressedOpacity: {
                    type: NumberConstructor;
                    default: number;
                };
                pressedMaskColor: {
                    type: StringConstructor;
                    default: string;
                };
                hoverBehavior: {
                    type: PropType<"mask" | "opacity">;
                    default: string;
                    validator: (value: string) => boolean;
                };
                hoverOpacity: {
                    type: (StringConstructor | NumberConstructor)[];
                    default: number;
                };
                hoverMaskColor: {
                    type: StringConstructor;
                    default: string;
                };
                sizesConfig: {
                    type: PropType<Record<string, any>>;
                    default: () => import("../../../services/global-config").SizeConfig;
                };
                fontSizesConfig: {
                    type: PropType<Record<string, any>>;
                    default: () => import("../../../services/global-config").SizeConfig;
                };
                preset: {
                    type: StringConstructor;
                    default: undefined;
                };
            }>>, "size" | "replace" | "preset" | "append" | "type" | "disabled" | "tag" | "href" | "color" | "loading" | "to" | "exact" | "activeClass" | "exactActiveClass" | "target" | "sizesConfig" | "textColor" | "round" | "fontSizesConfig" | "icon" | "block" | "textOpacity" | "backgroundOpacity" | "borderColor" | "gradient" | "plain" | "iconRight" | "iconColor" | "pressedBehavior" | "pressedOpacity" | "pressedMaskColor" | "hoverBehavior" | "hoverOpacity" | "hoverMaskColor">>>;
            required: false;
            default: undefined;
        };
        "child:closeButton": {
            type: PropType<NonNullable<Partial<{
                size: string | number;
                preset: string;
                name: string;
                sizesConfig: Record<string, any>;
                flip: "horizontal" | "vertical" | "off" | "both";
                fontSizesConfig: Record<string, any>;
            }> & Omit<{
                readonly size: string | number;
                readonly name: string;
                readonly sizesConfig: Record<string, any>;
                readonly flip: "horizontal" | "vertical" | "off" | "both";
                readonly fontSizesConfig: Record<string, any>;
                readonly preset?: string | undefined;
                readonly tag?: string | undefined;
                readonly color?: string | undefined;
                readonly component?: any;
                readonly rotation?: string | number | undefined;
                readonly spin?: string | boolean | undefined;
            } & VNodeProps & AllowedComponentProps & ComponentCustomProps & Readonly<ExtractPropTypes<{
                name: {
                    type: StringConstructor;
                    default: string;
                };
                tag: {
                    type: StringConstructor;
                };
                component: {
                    type: PropType<any>;
                };
                color: {
                    type: StringConstructor;
                };
                rotation: {
                    type: (StringConstructor | NumberConstructor)[];
                };
                spin: {
                    type: (BooleanConstructor | StringConstructor)[];
                };
                flip: {
                    type: PropType<"horizontal" | "vertical" | "off" | "both">;
                    default: string;
                    validator: (value: string) => boolean;
                };
                preset: {
                    type: StringConstructor;
                    default: undefined;
                };
                size: {
                    type: (StringConstructor | NumberConstructor)[];
                    default: string;
                    validator: (size: string | number) => boolean;
                };
                sizesConfig: {
                    type: PropType<Record<string, any>>;
                    default: () => import("../../../services/global-config").SizeConfig;
                };
                fontSizesConfig: {
                    type: PropType<Record<string, any>>;
                    default: () => import("../../../services/global-config").SizeConfig;
                };
            }>>, "size" | "preset" | "name" | "sizesConfig" | "flip" | "fontSizesConfig">>>;
            required: false;
            default: undefined;
        };
    }>> & {
        onCancel?: ((...args: any[]) => any) | undefined;
        onClose?: ((...args: any[]) => any) | undefined;
        "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
        onOpen?: ((...args: any[]) => any) | undefined;
        "onClick-outside"?: ((...args: any[]) => any) | undefined;
        onOk?: ((...args: any[]) => any) | undefined;
        "onBefore-open"?: ((...args: any[]) => any) | undefined;
        "onBefore-close"?: ((...args: any[]) => any) | undefined;
    }, "title" | "blur" | "size" | "message" | "modelValue" | "stateful" | "sizesConfig" | "zIndex" | "noPadding" | "backgroundColor" | "closeButton" | "child:cancelButton" | "child:okButton" | "child:closeButton" | "attachElement" | "allowBodyScroll" | "disableAttachment" | "okText" | "cancelText" | "hideDefaultActions" | "fullscreen" | "mobileFullscreen" | "noDismiss" | "noOutsideDismiss" | "noEscDismiss" | "maxWidth" | "maxHeight" | "fixedLayout" | "withoutTransitions" | "overlay" | "overlayOpacity" | "showNestedOverlay" | "ariaCloseLabel"> & import("../types").ModalEmits, "anchorClass">>): Promise<boolean>;
};
export declare const VaModalPlugin: import("../../../services/vue-plugin/types").VuesticPluginFabric<[]>;
declare module '@vue/runtime-core' {
    interface ComponentCustomProperties {
        $vaModal: ReturnType<typeof createVaModalPlugin>;
    }
}
export {};
