import { VNode, AppContext } from 'vue';
import type { ToastOptions } from './types';
export declare const VaToast: import("vue").DefineComponent<{
    title: {
        type: StringConstructor;
        default: string;
    };
    offsetY: {
        type: NumberConstructor;
        default: number;
    };
    offsetX: {
        type: NumberConstructor;
        default: number;
    };
    message: {
        type: (StringConstructor | FunctionConstructor)[];
        default: string;
    };
    dangerouslyUseHtmlString: {
        type: BooleanConstructor;
        default: boolean;
    };
    icon: {
        type: StringConstructor;
        default: string;
    };
    customClass: {
        type: StringConstructor;
        default: string;
    };
    duration: {
        type: NumberConstructor;
        default: number;
    };
    color: {
        type: StringConstructor;
        default: string;
    };
    closeable: {
        type: BooleanConstructor;
        default: boolean;
    };
    onClose: {
        type: FunctionConstructor;
    };
    onClick: {
        type: FunctionConstructor;
    };
    multiLine: {
        type: BooleanConstructor;
        default: boolean;
    };
    position: {
        type: import("vue").PropType<import("./types").ToastPosition>;
        default: string;
        validator: (value: string) => boolean;
    };
    render: {
        type: FunctionConstructor;
    };
    ariaCloseLabel: {
        type: StringConstructor;
        default: string;
    };
    role: {
        type: import("vue").PropType<import("../../utils/types/prop-type").StringWithAutocomplete<"status" | "alert" | "alertdialog">>;
        default: undefined;
    };
    inline: {
        type: BooleanConstructor;
        default: boolean;
    };
    preset: {
        type: StringConstructor;
        default: undefined;
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    "on-click": (...args: any[]) => void;
    "on-close": (...args: any[]) => void;
}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    title: {
        type: StringConstructor;
        default: string;
    };
    offsetY: {
        type: NumberConstructor;
        default: number;
    };
    offsetX: {
        type: NumberConstructor;
        default: number;
    };
    message: {
        type: (StringConstructor | FunctionConstructor)[];
        default: string;
    };
    dangerouslyUseHtmlString: {
        type: BooleanConstructor;
        default: boolean;
    };
    icon: {
        type: StringConstructor;
        default: string;
    };
    customClass: {
        type: StringConstructor;
        default: string;
    };
    duration: {
        type: NumberConstructor;
        default: number;
    };
    color: {
        type: StringConstructor;
        default: string;
    };
    closeable: {
        type: BooleanConstructor;
        default: boolean;
    };
    onClose: {
        type: FunctionConstructor;
    };
    onClick: {
        type: FunctionConstructor;
    };
    multiLine: {
        type: BooleanConstructor;
        default: boolean;
    };
    position: {
        type: import("vue").PropType<import("./types").ToastPosition>;
        default: string;
        validator: (value: string) => boolean;
    };
    render: {
        type: FunctionConstructor;
    };
    ariaCloseLabel: {
        type: StringConstructor;
        default: string;
    };
    role: {
        type: import("vue").PropType<import("../../utils/types/prop-type").StringWithAutocomplete<"status" | "alert" | "alertdialog">>;
        default: undefined;
    };
    inline: {
        type: BooleanConstructor;
        default: boolean;
    };
    preset: {
        type: StringConstructor;
        default: undefined;
    };
}>> & {
    "onOn-click"?: ((...args: any[]) => any) | undefined;
    "onOn-close"?: ((...args: any[]) => any) | undefined;
}, {
    title: string;
    preset: string;
    message: string | Function;
    role: import("../../utils/types/prop-type").StringWithAutocomplete<"status" | "alert" | "alertdialog">;
    color: string;
    duration: number;
    position: import("./types").ToastPosition;
    icon: string;
    inline: boolean;
    ariaCloseLabel: string;
    closeable: boolean;
    multiLine: boolean;
    offsetY: number;
    offsetX: number;
    dangerouslyUseHtmlString: boolean;
    customClass: string;
}, {}>;
declare global {
    interface Window {
        vaToastInstances: VNode[];
    }
}
export type VaToastId = string;
export declare const closeAllNotifications: (appContext?: AppContext) => void;
export declare const closeById: (id: string) => void;
export declare const createToastInstance: (customProps: ToastOptions | string, appContext?: AppContext) => VaToastId | null;
export type { ToastOptions as NotificationOptions } from './types';
