import { ComputedRef, ExtractPropTypes } from 'vue';
import type { TreeNode, TreeViewEmitsFunc } from '../types';
import { useTreeViewProps } from './useTreeHelpers';
type UseTreeViewFunc = (props: ExtractPropTypes<typeof useTreeViewProps>, emit: TreeViewEmitsFunc) => {
    treeItems: ComputedRef<TreeNode[]>;
    getText: (node: TreeNode) => string | number;
    getTrackBy: (node: TreeNode) => string | number;
    toggleCheckbox: (node: TreeNode, state: boolean) => void;
};
declare const useTreeView: UseTreeViewFunc;
export default useTreeView;
