import type { Ref } from 'vue';
import type { CssColor } from '../composables/useColors';
/**
 * Returns text color based on element background.
 *
 * If string (CSS color) provided will use it as background color.
 *
 * If element not provided current instance element will be used.
 */
export declare const useElementTextColor: (background: Ref<CssColor | undefined> | CssColor) => import("vue").ComputedRef<string>;
