import { Ref } from 'vue';
import { FormFiled } from './types';
export type FormParentOptions = {
    hideLoading: boolean;
    hideErrors: boolean;
    hideErrorMessages: boolean;
    immediate: boolean;
    name?: string;
};
export type FormContext = {
    immediate: Ref<boolean>;
    fields: Ref<FormFiled<string>[]>;
    forceHideErrors: Ref<boolean>;
    forceHideErrorMessages: Ref<boolean>;
    forceHideLoading: Ref<boolean>;
    forceDirty: Ref<boolean>;
    registerField: (uid: string, field: FormFiled<string>) => void;
    unregisterField: (uid: string) => void;
};
export declare const createFormContext: <Names extends string>(options: FormParentOptions) => {
    immediate: import("vue").ComputedRef<boolean>;
    fields: import("vue").ComputedRef<{
        name: Names | undefined;
        value?: unknown;
        isValid: boolean;
        isLoading: boolean;
        isDirty: boolean;
        isTouched: boolean;
        errorMessages: string[];
        validate: () => boolean;
        validateAsync: () => Promise<boolean>;
        reset: () => void;
        resetValidation: () => void;
        focus: () => void;
    }[]>;
    forceHideErrors: import("vue").ComputedRef<boolean>;
    forceHideErrorMessages: import("vue").ComputedRef<boolean>;
    forceHideLoading: import("vue").ComputedRef<boolean>;
    forceDirty: Ref<boolean>;
    registerField: (uid: string, field: FormFiled<Names>) => void;
    unregisterField: (uid: string) => void;
};
