export declare const getI18nConfigDefaults: () => {
    /** Select search field default text */
    search: string;
    /** Select no options text */
    noOptions: string;
    /** Modal Ok button default text */
    ok: string;
    /** Modal Cancel button default text */
    cancel: string;
    /** FileUpload default button text */
    uploadFile: string;
    /** FileUpload default undo button text */
    undo: string;
    /** FileUpload default dropzone text */
    dropzone: string;
    /** FileUpload default file deleted alert text */
    fileDeleted: string;
    /** Alert close button aria-label */
    closeAlert: string;
    backToTop: string;
    toggleDropdown: string;
    carousel: string;
    goPreviousSlide: string;
    goNextSlide: string;
    goSlide: string;
    slideOf: string;
    close: string;
    openColorPicker: string;
    colorSelection: string;
    colorName: string;
    decreaseCounter: string;
    increaseCounter: string;
    selectAllRows: string;
    sortColumnBy: string;
    selectRowByIndex: string;
    resetDate: string;
    nextPeriod: string;
    switchView: string;
    previousPeriod: string;
    removeFile: string;
    reset: string;
    pagination: string;
    goToTheFirstPage: string;
    goToPreviousPage: string;
    goToSpecificPage: string;
    goToSpecificPageInput: string;
    goNextPage: string;
    goLastPage: string;
    /** Rating aria-label */
    currentRating: string;
    /** Rating item aria-label */
    voteRating: string;
    /** Select search input aria-label */
    optionsFilter: string;
    splitPanels: string;
    movePaginationLeft: string;
    movePaginationRight: string;
    resetTime: string;
    closeToast: string;
    /**
     * Select aria-label selected option prefix
     *
     * @example
     *
     * `Selected option: {option}` or `Selected option: Animal`
     */
    selectedOption: string;
    /** Select aria-label if no option is selected */
    noSelectedOption: string;
    breadcrumbs: string;
    counterValue: string;
    selectedDate: string;
    selectedTime: string;
    progressState: string;
    color: string;
    /** Stepper next button text */
    next: string;
    /** Stepper previous button text */
    back: string;
    /** Stepper finish button text */
    finish: string;
    step: string;
    progress: string;
    /** Skeleton aria label */
    loading: string;
    /** Slider aria label */
    sliderValue: string;
    /** Switch aria label */
    switch: string;
    /** Input aria label */
    inputField: string;
};
