import type { App } from 'vue';
import { VuesticPluginFabric, VuesticPlugin } from '../types';
/**
 * Allow user to use plugin as function or just pass it.
 *
 * @example
 * ```
 * createVuesticEssential({
 *   plugins: [GlobalConfigPlugin]
 * })
 * ```
 *
 * or
 *
 * ```
 * createVuesticEssential({
 *   plugins: [GlobalConfigPlugin({ VaButton: { color: 'primary' } })]
 * })
 * ```
 */
export declare const usePlugin: <O>(app: App, plugin: VuesticPlugin | VuesticPluginFabric<O[]>, ...options: O[]) => void;
