import type { ExtractComponentEmits, ExtractComponentProps } from './types';
/**
 * Returns component props options.
 *
 *
 * @param ignoreProps - deprecated - prefer using lodash omit instead
 *
 * @returns object that looks like this:
 * ```ts
 * {
 *   modelValue: { type: String, required: true },
 *   options: { type: Array, default: [] },
 *   size: { type: String as PropType<'small' | 'medium' | 'large'>, default: 'medium' }
 * }
 * ```
 */
export declare function extractComponentProps<T, IgnoreProps extends string = ''>(component: T, ignoreProps?: IgnoreProps[]): Omit<ExtractComponentProps<T>, IgnoreProps>;
/** Returns component emits option */
export declare function extractComponentEmits<T>(component: T): ExtractComponentEmits<T>;
