/**
 * Since `.focus()` does not dispatch native event, this method will dispatch it automatically
 * @emits focus
 */
export declare const focusElement: <T extends Element | undefined>(el: T) => void;
/**
 * Since `.blur()` does not dispatch native event, this method will dispatch it automatically
 * @emits blur
 */
export declare const blurElement: <T extends Element | undefined>(el: T) => void;
/**
 * Focus first focusable child of parent.
 *
 * @example Used to give focus back to menu after closing submenu.
 */
export declare const focusFirstFocusableChild: (el: HTMLElement) => void;
